<?php session_start();
  header ("HTTP/1.1 200 OK");
  if (isset($_GET["clkorder"])) $clkorder = @$_GET["clkorder"];
  if (isset($_GET["clktype"])) $clkordtype = @$_GET["clktype"];

  if (isset($_POST["clkfilter"])) $filter = @$_POST["clkfilter"];
  if (isset($_POST["clkfilter_field"])) $filterfield = @$_POST["clkfilter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($clkorder) && isset($_SESSION["clkorder"])) $clkorder = $_SESSION["clkorder"];
  if ($clkorder == ""){$clkorder="t1.t";}
  if (!isset($clkordtype) && isset($_SESSION["clktype"])) $clkordtype = $_SESSION["clktype"];  
  if ($clkordtype == ""){$clkordtype="desc";}
  if (!isset($filter) && isset($_SESSION["clkfilter"])) $filter = $_SESSION["clkfilter"];
  if (!isset($filterfield) && isset($_SESSION["clkfilter_field"])) $filterfield = $_SESSION["clkfilter_field"];
  include 'tcfunctions.php';
  clockmaintenance("refresh");
?>

<html>
<?php htmlpagehead(); ?>
<?php bodyhtmlheader(); ?>
<?php if($_SESSION["logged_in"] == true){
      $conn = connect();
      $showrecs = 20;
      $pagerange = 10;

      $a = @$_GET["a"];
      $recid = @$_GET["recid"];
      $page = @$_GET["page"];
      if (!isset($page)) $page = 1;
      $sql = @$_POST["sql"];
      
      if (!isset($_POST["fromdate"])){
          if (!isset($fromdate) && isset($_SESSION["fromdate"])){
              $fromdate =  $_SESSION["fromdate"];}
               else {               
                   $fromdate =  gmdate("d/m/Y", gmmktime(0, 0, 0, gmdate("m")  , gmdate("d")-7, gmdate("Y")));
               }
      } else {
          $fromdate =  @$_POST["fromdate"];
          
      }
      if (!isset($_POST["todate"])){
          if (!isset($todate) && isset($_SESSION["todate"])){
              $todate =  $_SESSION["todate"];}
               else {
                   $todate =  gmdate("d/m/Y");
               }
      } else {
          $todate =  @$_POST["todate"];
      }        
      if($fromdate{1} == "/"){$fromdate = "0" .$fromdate;}
      if($todate{1} == "/"){$todate = "0" .$todate;}            
      
      switch ($sql) {
        case "insert":
          sql_insert();
          break;
        case "update":
          sql_update();
          break;
        case "delete":
          sql_delete();
          break;
      }

      switch ($a) {
        case "add":
          addrec();
          break;
        case "view":
          viewrec($recid);
          break;
        case "edit":
          editrec($recid);
          break;
        case "del":
          deleterec($recid);
          break;
        default:
        ?>
            <form name="clockingsdaterange" action="clockings.php" method="post">
                <input type="hidden" name="recen" value="<?php echo htmlspecialchars($recen) ?>"> 
                <table>
                    <tr>
                        <td>
                            From Date:<input type="Text" name="fromdate" value="<?php echo htmlspecialchars($fromdate) ?>">                            
                        </td>
                        <td>
                            <a href="javascript:cal1.popup();"><img src="images/lookupbutton.png" width="20" height="20"  border="0" title="Click here to pick a date"></a>                
                        </td>                        
                        <td>
                            To Date:<input type="Text" name="todate" value="<?php echo htmlspecialchars($todate) ?>">                            
                        </td>
                        <td>                            
                            <a href="javascript:cal2.popup();"><img src="images/lookupbutton.png" width="20" height="20" border="0" title="Click here to pick a date"></a>   
                        </td>                        
                        <td>
                            <input type="submit" name="Apply" title = "Apply date range to browse" value="Apply" class="normalbutton">
                        </td>
                    </tr>
                </table>
            </form>
            <script language="JavaScript">
              var cal1 = new calendar6(document.forms['clockingsdaterange'].elements['fromdate']);
              var cal2 = new calendar6(document.forms['clockingsdaterange'].elements['todate']);
            </script>                                  
        <?php
          select();
          break;
      }

      if (isset($clkorder)) $_SESSION["clkorder"] = $clkorder;
      if (isset($clkordtype)) $_SESSION["clktype"] = $clkordtype;
      if (isset($filter)) $_SESSION["clkfilter"] = $filter;
      if (isset($filterfield)) $_SESSION["clkfilter_field"] = $filterfield;
      if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;
      if (isset($fromdate)) $_SESSION["fromdate"] = $fromdate;      
      if (isset($todate)) $_SESSION["todate"] = $todate;      
      $conn=null;
}?>
<?php bodyhtmlfooter(); ?>
</html>

<?php function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $clkorder;
  global $clkordtype;
  global $fromdate;
  global $todate;

  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($clkordtype == "asc") { $clkordtypestr = "desc"; } else { $clkordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);  
  if ($startrec < $count) {
      for ($i = 0; $i < $startrec; $i++) {
          $dummyrow = $res->fetch();
      }
  }    
  $reccount = min($showrecs * $page, $count);
?>

<?php browsehtmlheader('Browse Clockings') ?>
    <table id="BrowseClockings_tbl" border="0" cellspacing="0">
        <tr>            
            <td class="tableheader5"></td>
            <?php if($clkorder == "t1.t"){if($clkordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
            <td class="tableheader2"><?php echo $sortimage?><a href="clockings.php?clkorder=<?php echo "t1.t" ?>&clktype=<?php echo $clkordtypestr ?>"><?php echo htmlspecialchars("Date") ?></a></td>            
            <td class="tableheader2"><a href="clockings.php?clkorder=<?php echo "t1.t" ?>&clktype=<?php echo $clkordtypestr ?>"><?php echo htmlspecialchars("Time") ?></a></td>
            <?php if($clkorder == "t1.en"){if($clkordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
            <td class="tableheader2"><?php echo $sortimage?><a href="clockings.php?clkorder=<?php echo "t1.en" ?>&clktype=<?php echo $clkordtypestr ?>"><?php echo htmlspecialchars("No") ?></a></td>
            <?php if($clkorder == "t2.ln"){if($clkordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
            <td class="tableheader2"><?php echo $sortimage?><a href="clockings.php?clkorder=<?php echo "t2.ln" ?>&clktype=<?php echo $clkordtypestr ?>"><?php echo htmlspecialchars("Surname") ?></a></td>
            <?php if($clkorder == "t2.fn"){if($clkordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
            <td class="tableheader2"><?php echo $sortimage?><a href="clockings.php?clkorder=<?php echo "t2.fn" ?>&clktype=<?php echo $clkordtypestr ?>"><?php echo htmlspecialchars("First Name") ?></a></td>
            <?php if($clkorder == "t1.stat"){if($clkordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
            <td class="tableheader2"><?php echo $sortimage?><a href="clockings.php?clkorder=<?php echo "t1.stat" ?>&clktype=<?php echo $clkordtypestr ?>"><?php echo htmlspecialchars("In/Out") ?></a></td>
            <?php if($clkorder == "t1.scn"){if($clkordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
            <td class="tableheader2"><?php echo $sortimage?><a href="clockings.php?clkorder=<?php echo "t1.scn" ?>&clktype=<?php echo $clkordtypestr ?>"><?php echo htmlspecialchars("Card No") ?></a></td>            
            <?php if($clkorder == "t1.ty"){if($clkordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
            <td class="tableheader2"><?php echo $sortimage?><a href="clockings.php?clkorder=<?php echo "t1.ty" ?>&clktype=<?php echo $clkordtypestr ?>"><?php echo htmlspecialchars("Device") ?></a></td>
            <?php if($clkorder == "t1.ds"){if($clkordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
            <td class="tableheader2"><?php echo $sortimage?><a href="clockings.php?clkorder=<?php echo "t1.ds" ?>&clktype=<?php echo $clkordtypestr ?>"><?php echo htmlspecialchars("Extender") ?></a></td>
            <?php if($clkorder == "t1.r"){if($clkordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
            <td class="tableheader2"><?php echo $sortimage?><a href="clockings.php?clkorder=<?php echo "t1.r" ?>&clktype=<?php echo $clkordtypestr ?>"><?php echo htmlspecialchars("Reader") ?></a></td>
            <?php if($clkorder == "t1.aid"){if($clkordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
            <td class="tableheader2"><?php echo $sortimage?><a href="clockings.php?clkorder=<?php echo "t1.aid" ?>&clktype=<?php echo $clkordtypestr ?>"><?php echo htmlspecialchars("Area") ?></a></td>            
            <td class="tableheader1">&nbsp;</td>
            <td class="tableheader1">&nbsp;</td>
        </tr>
            <?php
              for ($i = $startrec; $i < $reccount; $i++)
              {
                $row = sqlite_fetch_array_ex($res);
                if ($row["t1.del"] == 1){
                    $style = "fr_grey";
                    if ($i % 2 != 0) {
                        $style = "sr_grey";}
                } else {
                $style = "fr";
                    if ($i % 2 != 0) {$style = "sr";}                    
                }
            ?>
        <tr onMouseOver="BrowseClockings.omv(this);" onMouseOut="BrowseClockings.omt(this);">            
            <?php if($row["t1.del"] == "1"){$clktypeimage = "<img src='images/delete.png' border='0'>";} else {if($row["t1.ty"] == "98" || $row["t1.ty"] == "99"){$clktypeimage = "<img src='images/hand.png' border='0'>";}else{$clktypeimage = "";}} ?>        
            <td class="<?php echo $style ?>"><?php echo $clktypeimage?></td>
            <!--<td class="<?php echo $style ?>"><?php echo htmlspecialchars(date("d/m/Y", ($row['t1.t']))) ?></td>
            <td class="<?php echo $style ?>"><?php echo htmlspecialchars(date("H:i:s", ($row['t1.t']))) ?></td>-->
            <td class="<?php echo $style ?>"><?php echo htmlspecialchars(gmdate("d/m/Y", ($row['t1.t']))) ?></td>
            <td class="<?php echo $style ?>"><?php echo htmlspecialchars(gmdate("H:i:s", ($row['t1.t']))) ?></td>            
            <td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["t1.en"]) ?></td>
            <td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["t2.ln"]) ?></td>
            <td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["t2.fn"]) ?></td>
            <td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["t1.stat"] ? "In" : "Out") ?></td>
            <td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["t1.scn"]) ?></td>            
            <?php if($row["t1.ty"] == "0"){
                $eventtype = "Clock";
            } elseif ($row["t1.ty"] == "1"){
                $eventtype = "USB";
            } elseif ($row["t1.ty"] == "98"){
                $eventtype = "Changed";
            } elseif ($row["t1.ty"] == "99"){
                $eventtype = "Manual";
            } else{    
                $eventtype = "Clock";                            
            }?>
            <td class="<?php echo $style ?>"><?php echo htmlspecialchars($eventtype) ?></td>
            <td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["t1.ds"]) ?></td>
            <td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["t1.r"]) ?></td>
            <td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["t1.aid"]) ?></td>
            <td class="<?php echo $style ?>"><a href="clockings.php?a=edit&recid=<?php echo $i ?>&recen=<?php echo htmlspecialchars($row["en"]) ?>"><img src="images/change.png" title="Change" width="16" height="16" border="0"></a></td>
            <td class="<?php echo $style ?>"><a href="clockings.php?a=del&recid=<?php echo $i ?>&recen=<?php echo htmlspecialchars($row["en"]) ?>"><img src="images/delete.png" title="Delete" width="16" height="16" border="0"></a></td>                                
        </tr>
        <?php }?>
    </table>

<script type="text/javascript">var BrowseClockings=new browseTable('BrowseClockings_tbl',1,'browseclockings',1,1,0);
BrowseClockings.greenBar();
</script>
        
<?php browsehtmlfooter() ?>

<table class="bd" border="0" cellspacing="1" cellpadding="4">
    <tr>
       <td><a href="download.php?type=clockings&fromdate=<?php echo htmlspecialchars($fromdate) ?>&todate=<?php echo htmlspecialchars($todate) ?> "><img src="images/sendto.png" border="0" title="Send browse to CSV file"></a></td>       
    </tr>
    <tr>
        <td>Records shown <?php echo $startrec + 1 ?> - <?php echo $reccount ?> of <?php echo $count ?></td>        
    </tr>
    <tr>
        <td><?php showpagenav($page, $pagecount); ?></td>
    </tr>
</table>
&nbsp;

<hr size="1" noshade>
<form action="clockings.php" method="post">
    <table class="bd" border="0" cellspacing="1" cellpadding="4">
        <tr>
            <td><b>Search for </b>&nbsp;</td>
            <td><input type="text" name="clkfilter" value="<?php echo $filter ?>"/></td>
            <td>&nbsp;<b>in</b>&nbsp; </td>
            <td>
                <select name="clkfilter_field">
                    <option value="">All Fields</option>
                    <!--<option value="<?php echo "id" ?>"<?php if ($filterfield == "id") { echo "selected"; } ?>><?php echo htmlspecialchars("id") ?></option>
                    <option value="<?php echo "t1.pc" ?>"<?php if ($filterfield == "pc") { echo "selected"; } ?>><?php echo htmlspecialchars("t1.pc") ?></option>
                    <option value="<?php echo "t1.pr" ?>"<?php if ($filterfield == "pr") { echo "selected"; } ?>><?php echo htmlspecialchars("t1.pr") ?></option>
                    <option value="<?php echo "t1.t" ?>"<?php if ($filterfield == "t") { echo "selected"; } ?>><?php echo htmlspecialchars("t1.t") ?></option>
                    <option value="<?php echo "t1.ot" ?>"<?php if ($filterfield == "ot") { echo "selected"; } ?>><?php echo htmlspecialchars("t1.ot") ?></option>
                    <option value="<?php echo "t1.gd" ?>"<?php if ($filterfield == "gd") { echo "selected"; } ?>><?php echo htmlspecialchars("t1.gd") ?></option>-->
                    <option value="<?php echo "t1.en" ?>"<?php if ($filterfield == "t1.en") { echo "selected"; } ?>><?php echo htmlspecialchars("No") ?></option>
                    <option value="<?php echo "t2.ln" ?>"<?php if ($filterfield == "t2.ln") { echo "selected"; } ?>><?php echo htmlspecialchars("Surname") ?></option>
                    <option value="<?php echo "t2.fn" ?>"<?php if ($filterfield == "t2.fn") { echo "selected"; } ?>><?php echo htmlspecialchars("First Name") ?></option>
                    <!--<option value="<?php echo "t1.ty" ?>"<?php if ($filterfield == "ty") { echo "selected"; } ?>><?php echo htmlspecialchars("t1.ty") ?></option>-->
                    <option value="<?php echo "t1.ds" ?>"<?php if ($filterfield == "ds") { echo "selected"; } ?>><?php echo htmlspecialchars("Extender") ?></option>
                    <option value="<?php echo "t1.r" ?>"<?php if ($filterfield == "r") { echo "selected"; } ?>><?php echo htmlspecialchars("Reader") ?></option>
                    <option value="<?php echo "t1.aid" ?>"<?php if ($filterfield == "aid") { echo "selected"; } ?>><?php echo htmlspecialchars("Area") ?></option>
                    <option value="<?php echo "t1.stat" ?>"<?php if ($filterfield == "stat") { echo "selected"; } ?>><?php echo htmlspecialchars("Status") ?></option>
                    <option value="<?php echo "t1.cn" ?>"<?php if ($filterfield == "cn") { echo "selected"; } ?>><?php echo htmlspecialchars("Card No") ?></option>
                    <!--<option value="<?php echo "t1.scn" ?>"<?php if ($filterfield == "scn") { echo "selected"; } ?>><?php echo htmlspecialchars("scn") ?></option>-->                    
                </select>
            </td>
            <td>                                                    
                <!--<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Whole words only</td>-->
                <input type="submit" name="action" title="Search browse for..." value="Search" class="normalbutton"/>&nbsp<input type="button" title="Reset browse after search" value="Reset" onclick="window.location='clockings.php?a=reset'" class="normalbutton"/>
            </td>            
        </tr>
    </table>
</form>
                    

<?php }
     ?>

<?php function showrow($row, $recid)
  {
  global $conn;
?>
    <table class="tbl" border="0" cellspacing="1" cellpadding="5"> <!--width="50%"-->    
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Date:")."&nbsp;" ?></td>
            <td class="dr">
                <input disabled class="il3" type="text" name="clkdate" value="<?php echo gmdate("d/m/Y", ($row["t1.t"])) ?>">
            </td>            
        </tr>        
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Time:")."&nbsp;" ?></td>
            <td class="dr"><input disabled class="il3" type="text" name="clktime" value="<?php echo gmdate("H:i:s", ($row['t1.t'])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Employee:")."&nbsp;" ?></td>
            <td class="dr">
                <select disabled name="en">
                    <option value=""></option>
                        <?php
                            $sql = "select en, fn, ln, \"dn\" from emp order by en";
                            $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');

                             while ($lp_row = sqlite_fetch_array_ex($res)){
                             $val = $lp_row["en"];
                             $caption = trim($lp_row["en"]) ."&nbsp;&nbsp;" .trim($lp_row["ln"]) .", " .trim($lp_row["fn"]);
                             if ($row["t1.en"] == $val) {$selstr = " selected"; } else {$selstr = ""; }
                          ?>
                        <option value="<?php echo $val ?>"<?php echo $selstr ?>><?php echo $caption ?></option>
                        <?php
                        }
                          ?>
                </select>
            </td>        
        </tr>        
        <!--<tr>
            <td class="hr"><?php echo htmlspecialchars("Employee")."&nbsp;" ?></td>
            <td class="dr"><input disabled type="text" class="il1" type="text" name="en" value="<?php echo str_replace('"', '&quot;', trim($row["t1.en"])) ?>"</td>
        </tr>-->
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Type:")."&nbsp;" ?></td>
            <td class="dr"><input disabled class="il3" type="text" name="ty" value="<?php echo str_replace('"', '&quot;', trim($row["t1.ty"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Reader S/no:")."&nbsp;" ?></td>
            <td class="dr"><input disabled class="il2" type="text" name="ds" value="<?php echo str_replace('"', '&quot;', trim($row["t1.ds"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Reader No:")."&nbsp;" ?></td>
            <td class="dr"><input disabled class="il1" type="text" name="r" value="<?php echo str_replace('"', '&quot;', trim($row["t1.r"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Area:")."&nbsp;" ?></td>
            <td class="dr"><input disabled class="il1" type="text" name="aid" value="<?php echo str_replace('"', '&quot;', trim($row["t1.aid"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Status")."&nbsp;" ?></td>
            <?php if (trim($row["t1.stat"]) == 1){?>
               <td class="dr">In<input disabled name="stat" type="radio" checked="checked" value="1">Out<input disabled name="stat" type="radio" value="0"></td>
             <?php ;}else{?>
               <td class="dr">In<input disabled name="stat" type="radio" value="1">Out<input disabled name="stat" type="radio" checked="checked" value="0"></td>
             <?php }?>                        
        </tr>
    </table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
?>
    <table class="tbl" border="0" cellspacing="1" cellpadding="5"> <!--width="50%"-->    
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Date:")."&nbsp;" ?></td>
            <td class="dr">
                <input  class="il3" type="text" name="clkdate" value="<?php echo gmdate("d/m/Y", ($row["t1.t"])) ?>">
                <a href="javascript:cal3.popup();"><img src="images/lookupbutton.png" position="absolute" align="top" width="20" height="22"  border="0" alt="Click Here to Pick a Date"></a>
                <script language="JavaScript">
                    var cal3 = new calendar6(document.forms['updateclockingsform'].elements['clkdate']);
                </script>                                  
            </td>            
        </tr>        
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Time:")."&nbsp;" ?></td>
            <td class="dr"><input  class="il3" type="text" name="clktime" value="<?php echo gmdate("H:i:s", ($row['t1.t'])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Employee:")."&nbsp;" ?></td>
            <td class="dr">
                <select name="en">
                    <option value=""></option>
                        <?php
                            $sql = "select en, fn, ln, \"dn\" from emp order by en";
                            $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');

                             while ($lp_row = sqlite_fetch_array_ex($res)){
                             $val = $lp_row["en"];
                             $caption = trim($lp_row["en"]) ."&nbsp;&nbsp;" .trim($lp_row["ln"]) .", " .trim($lp_row["fn"]);
                             if ($row["t1.en"] == $val) {$selstr = " selected"; } else {$selstr = ""; }
                          ?>
                        <option value="<?php echo $val ?>"<?php echo $selstr ?>><?php echo $caption ?></option>
                        <?php
                        }
                          ?>
                </select>
            </td>        
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Type:")."&nbsp;" ?></td>
            <?php if($row["t1.ty"] == "0"){
                $eventtype = "Clock";
            } elseif ($row["t1.ty"] == "1"){
                $eventtype = "USB";
            } elseif ($row["t1.ty"] == "98"){
                $eventtype = "Changed";
            } elseif ($row["t1.ty"] == "99"){
                $eventtype = "Manual";
            } else{    
                $eventtype = "Clock";                            
            }?>                        
            <td class="dr"><input disabled class="il3" type="text" name="ty" value="<?php echo $eventtype ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Reader S/no:")."&nbsp;" ?></td>
            <td class="dr"><input class="il2" type="text" name="ds" value="<?php echo str_replace('"', '&quot;', trim($row["t1.ds"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Reader No:")."&nbsp;" ?></td>
            <td class="dr"><input class="il1" type="text" name="r" value="<?php echo str_replace('"', '&quot;', trim($row["t1.r"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Area:")."&nbsp;" ?></td>
            <td class="dr"><input class="il1" type="text" name="aid" value="<?php echo str_replace('"', '&quot;', trim($row["t1.aid"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Status")."&nbsp;" ?></td>
            <?php if (trim($row["t1.stat"]) == 1){?>
               <td class="dr">In<input name="stat" type="radio" checked="checked" value="1">Out<input name="stat" type="radio" value="0"></td>
             <?php ;}else{?>
               <td class="dr">In<input name="stat" type="radio" value="1">Out<input name="stat" type="radio" checked="checked" value="0"></td>
             <?php }?>            
            <!--<td class="dr"><input class="il1" type="text" name="stat" value="<?php echo str_replace('"', '&quot;', trim($row["t1.stat"]? "In" : "Out")) ?>"></td>-->
        </tr>
    </table>
<?php } ?>

<?php function showpagenav($page, $pagecount)
    {
  ?>
 <table class="bd" border="0" cellspacing="1" padding-right="4">
    <tr>
        <!--<td><img style="margin-bottom: 0" src="images/add.png" width="16" height="16" border="0"><a href="clockings.php?a=add">Add Employee</a>&nbsp;</td>-->
        <td><a href="clockings.php?a=add"><img src="images/add.png" title="Add a clocking" width="16" height="16" border="0">Add Clocking</a>&nbsp;</td>
            <?php if ($page > 1)
             {
              ?>
        <td><a href="clockings.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Prev</a>&nbsp;</td>
            <?php
             }
              ?>
            <?php
                global $pagerange;

                if ($pagecount > 1) {

                if ($pagecount % $pagerange != 0) {
                $rangecount = intval($pagecount / $pagerange) + 1;
                }
                else {
                $rangecount = intval($pagecount / $pagerange);
                }
                for ($i = 1; $i < $rangecount + 1; $i++) {
                $startpage = (($i - 1) * $pagerange) + 1;
                $count = min($i * $pagerange, $pagecount);

                if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
                for ($j = $startpage; $j < $count + 1; $j++) {
                if ($j == $page) {
              ?>
        <td><b><?php echo $j ?></b></td>
            <?php } else { ?>
        <td><a href="clockings.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
            <?php } } } else { ?>
        <td><a href="clockings.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
            <?php } } } ?>
            <?php if ($page < $pagecount) { ?>
        <td>&nbsp;<a href="clockings.php?page=<?php echo $page + 1 ?>">Next&nbsp;&gt;&gt;</a>&nbsp;</td>
            <?php } ?>
    </tr>
 </table>
 <?php } ?>
 
<?php function showrecnav($a, $recid, $count)
{
?>
  <table class="bd" border="0" cellspacing="1" cellpadding="4">
    <tr>
        <td><a href="clockings.php">Index Page</a></td>
            <?php if ($recid > 0) { ?>
        <td><a href="clockings.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Prior Record</a></td>
            <?php } if ($recid < $count - 1) { ?>
        <td><a href="clockings.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Next Record</a></td>
            <?php } ?>
    </tr>
  </table>
  <hr size="1" noshade>
<?php
}
?>

<?php function addrec()
{
?>
<?php formhtmlheader('Add Clocking')?>
    <form name="updateclockingsform" enctype="multipart/form-data" action="clockings.php" method="post">
        <input type="hidden" name="sql" value="insert">
        <input type="hidden" name="gd" value="<?php echo $_SESSION["timezonegd"] ?>">
        <input type="hidden" name="pr" value="0">        
        <input type="hidden" name="ty" value="99"> 
        <input type="hidden" name="pc" value="0">
        <?php
        global $fromdate;
        $row = array(
          "t1.id" => "",
          "t1.pc" => "",
          "t1.pr" => 0,
          "t1.t" => gmmktime(8,0,0, substr($fromdate,3,2),substr($fromdate,0,2),substr($fromdate,6,4)), 
          "t1.ot" => "",
          "t1.gd" =>  $_SESSION["timezonegd"],
          "t1.en" => "",
          "t1.ty" => 99,
          "t1.ds" => "",
          "t1.r" => "",
          "t1.aid" => "0",
          "t1.stat" => "0",
          "t1.cn" => "",
          "t1.scn" => "");
        showroweditor($row, false);
        ?>
        <input type="submit" name="action" value="Add" class="normalbutton">                                        
        <input type="button" value="Cancel" onclick="window.location='clockings.php'" class="normalbutton">                                            
    </form>
<?php formhtmlfooter() ?>
<?php } ?>

<?php function viewrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  sqlite_seek_ex($res, $recid);
  $row = sqlite_fetch_array_ex($res);
  showrecnav("view", $recid, $count);
?>

<?php formhtmlheader('View Clocking')?>
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="clockings.php?a=add">Add Record</a></td>
<td><a href="clockings.php?a=edit&recid=<?php echo $recid ?>">Edit Record</a></td>
<td><a href="clockings.php?a=del&recid=<?php echo $recid ?>">Delete Record</a></td>
</tr>
</table>
<?php formhtmlfooter()?>
<?php } ?>

<?php function editrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  sqlite_seek_ex($res, $recid);
  $row = sqlite_fetch_array_ex($res);
  showrecnav("edit", $recid, $count);
?>
<?php formhtmlheader('Update Clocking')?>
        <form name="updateclockingsform" enctype="multipart/form-data" action="clockings.php" method="post">
            <input type="hidden" name="sql" value="update">
            <input type="hidden" name="xid" value="<?php echo $row["t1.id"] ?>">
            <input type="hidden" name="id" value="<?php echo $row["t1.id"] ?>">
            <input type="hidden" name="pc" value="<?php echo $row["t1.pc"] ?>">
            <input type="hidden" name="pr" value="<?php echo $row["t1.pr"] ?>">
            <input type="hidden" name="ot" value="<?php echo $row["t1.ot"] ?>">
            <input type="hidden" name="gd" value="<?php echo $_SESSION["timezonegd"] ?>">
            <input type="hidden" name="cn" value="<?php echo $row["t1.cn"] ?>">
            <input type="hidden" name="scn" value="<?php echo $row["t1.scn"] ?>">                  
            <input type="hidden" name="ty" value="98">             
            <?php showroweditor($row, true); ?>
            <br>
            <input type="submit" name="action" value="Save" class="normalbutton">                                        
            <input type="button" value="Cancel" onclick="window.location='clockings.php'" class="normalbutton">                                            
        </form>
<?php formhtmlfooter()?>
<?php } ?>

<?php function deleterec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  sqlite_seek_ex($res, $recid);
  $row = sqlite_fetch_array_ex($res);
  showrecnav("del", $recid, $count);
?>
<?php formhtmlheader('Delete Clocking')?>
    <form name="updateclockingsform" action="clockings.php" method="post">
        <input type="hidden" name="sql" value="delete">
        <input type="hidden" name="xid" value="<?php echo $row["t1.id"] ?>">
        <?php showrow($row, $recid) ?>
            <input type="submit" name="action" value="Delete" class="normalbutton">                                        
            <input type="button" value="Cancel" onclick="window.location='clockings.php'" class="normalbutton">                                            
    </form>
<?php formhtmlfooter()?>    
<?php } ?>

<?php function sql_select()
{
  global $conn;
  global $clkorder;
  global $clkordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $fromdate;
  global $todate;  

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";  
  $sql = "SELECT id as 't1.id', t1.pc as 't1.pc', pr as 't1.pr', t as 't1.t', ot as 't1.ot', gd as 't1.gd', t1.en as 't1.en', ln as 't2.ln', fn as 't2.fn', ty as 't1.ty', ds as 't1.ds', r as 't1.r', aid as 't1.aid', stat as 't1.stat', cn as 't1.cn', scn as 't1.scn', del as 't1.del' FROM clocking AS t1 LEFT OUTER JOIN emp AS t2 ON (t1.en = t2.en)";  
  $sql .= " where t1.t >= " .gmmktime(0,0,0, substr($fromdate,3,2),substr($fromdate,0,2),substr($fromdate,6,4)) ." and t1.t <= " .gmmktime( 23, 59, 59, substr($todate,3,2),substr($todate,0,2),substr($todate,6,4)); 
  $sql .= " and (t1.ty = 0 or t1.ty > 97)";  
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and (" .sqlstr($filterfield) ." like '" .$filterstr ."')";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and ((t1.id like '" .$filterstr ."') or (t1.pc like '" .$filterstr ."') or (t1.pr like '" .$filterstr ."') or (t1.t like '" .$filterstr ."') or (t1.ot like '" .$filterstr ."') or (t1.gd like '" .$filterstr ."') or (t1.en like '" .$filterstr ."') or (t1.ty like '" .$filterstr ."') or (t1.ds like '" .$filterstr ."') or (t1.r like '" .$filterstr ."') or (t1.aid like '" .$filterstr ."') or (t1.stat like '" .$filterstr ."') or (t1.cn like '" .$filterstr ."') or (t1.scn like '" .$filterstr ."') or (t2.fn like '" .$filterstr ."') or (t2.ln like '" .$filterstr ."'))";
  }
  if (isset($clkorder) && $clkorder!='') $sql .= " order by \"" .sqlstr($clkorder) ."\"";
  if (isset($clkordtype) && $clkordtype!='') $sql .= " " .sqlstr($clkordtype);    
  $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');      
  return $res;  
}

function sql_getrecordcount()
{
  global $conn;
  global $clkorder;
  global $clkordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $fromdate;
  global $todate;
  if($fromdate);
  
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT count(*) FROM clocking AS t1 LEFT OUTER JOIN emp AS t2 ON (t1.en = t2.en)";  
  $sql .= " where t1.t >= " .gmmktime(0,0,0, substr($fromdate,3,2),substr($fromdate,0,2),substr($fromdate,6,4)) ." and t1.t <= " .gmmktime( 23, 59, 59, substr($todate,3,2),substr($todate,0,2),substr($todate,6,4)); 
  $sql .= " and (t1.ty = 0 or t1.ty > 97)";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and (" .sqlstr($filterfield) ." like '" .$filterstr ."')";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and ((t1.id like '" .$filterstr ."') or (t1.pc like '" .$filterstr ."') or (t1.pr like '" .$filterstr ."') or (t1.t like '" .$filterstr ."') or (t1.ot like '" .$filterstr ."') or (t1.gd like '" .$filterstr ."') or (t1.en like '" .$filterstr ."') or (t1.ty like '" .$filterstr ."') or (t1.ds like '" .$filterstr ."') or (t1.r like '" .$filterstr ."') or (t1.aid like '" .$filterstr ."') or (t1.stat like '" .$filterstr ."') or (t1.cn like '" .$filterstr ."') or (t1.scn like '" .$filterstr ."') or (t2.fn like '" .$filterstr ."') or (t2.ln like '" .$filterstr ."'))";
  }
  $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');    
  $row = sqlite_fetch_array_ex($res);  
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;
  $locclktime = sqlvalue(@$_POST["clktime"], false, true);
  $locclkdate = sqlvalue(@$_POST["clkdate"], false, true);  
  $intextime = gmmktime(intval(substr($locclktime,0,2)), intval(substr($locclktime,3,2)),intval(substr($locclktime,6,2)), intval(substr($locclkdate,3,2)),intval(substr($locclkdate,0,2)),intval(substr($locclkdate,6,4)));
  $locot = $intextime;
  $sql = "insert into clocking (id, pc, pr, t, ot, gd, en, ty, ds, r, aid, stat, cn, scn) values (" .sqlvalue(@$_POST["id"], false, false).", " .sqlvalue(@$_POST["pc"], false, false).", " .sqlvalue(@$_POST["pr"], false, false).", " .$intextime .", " .$locot.", " .sqlvalue(@$_POST["gd"], false, false).", " .sqlvalue(@$_POST["en"], true, true).", " .sqlvalue(@$_POST["ty"], false, true).", " .sqlvalue(@$_POST["ds"], false, false).", " .sqlvalue(@$_POST["r"], false, false).", " .sqlvalue(@$_POST["aid"], false, false).", " .sqlvalue(@$_POST["stat"], false, false).", " .sqlvalue(@$_POST["cn"], false, true).", " .sqlvalue(@$_POST["scn"], true, true).")";
  dbaction($conn,$sql);  

  $conn = connect();
  $sql = "SELECT t1.en, t1.enint, t1.pc, t1.dn, t1.fn, t1.ln, t1.su, t1.admin, t1.pass, t1.deptid, t1.exdate, t1.paycycle, t1.disflexi, t1.flexih, t1.flexim, t1.carea, t1.cstat, t1.asu, t1.dm, t1.dme, t1.careatime, t1.cstattime FROM emp AS t1 where t1.en='" .@$_POST["en"] ."';";  
  $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');
  $row = sqlite_fetch_array_ex($res);
  reset($row);
  if (@$_POST["stat"] != $row["cstat"]){
        if ($intextime >= $row["cstattime"]){
            $sql = "update emp set cstattime=".$intextime.", cstat=" .@$_POST["stat"]." where en='".@$_POST["en"]."';";
            dbaction($conn,$sql);
        }
  }
}

function sql_update()
{
  global $conn;
  global $_POST;
  $locclktime = sqlvalue(@$_POST["clktime"], false, true);
  $locclkdate = sqlvalue(@$_POST["clkdate"], false, true);      
  $intextime = gmmktime(intval(substr($locclktime,0,2)), intval(substr($locclktime,3,2)),intval(substr($locclktime,6,2)), intval(substr($locclkdate,3,2)),intval(substr($locclkdate,0,2)),intval(substr($locclkdate,6,4)));
  $sql = "update clocking set id=" .sqlvalue(@$_POST["id"], false, false).", pc=" .sqlvalue(@$_POST["pc"], false, false).", pr=" .sqlvalue(@$_POST["pr"], false, false).", t=" .$intextime .", ot=" .sqlvalue(@$_POST["ot"], false, false).", gd=" .sqlvalue(@$_POST["gd"], false, false).", en=" .sqlvalue(@$_POST["en"], true, true).", ty=" .sqlvalue(@$_POST["ty"], false, true).", ds=" .sqlvalue(@$_POST["ds"], false, false).", r=" .sqlvalue(@$_POST["r"], false, false).", aid=" .sqlvalue(@$_POST["aid"], false, false).", stat=" .sqlvalue(@$_POST["stat"], false, false).", cn=" .sqlvalue(@$_POST["cn"], false, true).", scn=" .sqlvalue(@$_POST["scn"], true, true) .", del=0 where " .primarykeycondition();  
  dbaction($conn,$sql);

  $conn = connect();
  $sql = "SELECT t1.en, t1.enint, t1.pc, t1.dn, t1.fn, t1.ln, t1.su, t1.admin, t1.pass, t1.deptid, t1.exdate, t1.paycycle, t1.disflexi, t1.flexih, t1.flexim, t1.carea, t1.cstat, t1.asu, t1.dm, t1.dme, t1.careatime, t1.cstattime FROM emp AS t1 where t1.en='" .@$_POST["en"] ."';";  
  $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');
  $row = sqlite_fetch_array_ex($res);
  reset($row);
  if (@$_POST["stat"] != $row["cstat"]){
        if ($intextime >= $row["cstattime"]){
            $sql = "update emp set cstattime=".$intextime.", cstat=" .@$_POST["stat"]." where en='".@$_POST["en"]."';";
            dbaction($conn,$sql);
        }
  }
}

function sql_delete()
{
  global $conn;
  $sql = "update clocking set del = 1 where " .primarykeycondition() .";";  
  dbaction($conn,$sql);
}
function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(id";
  if (@$_POST["xid"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid"], false, false);
  };
  $pk .= ")";
  return $pk;
}

function updateempdir($dir)
{     
  global $intextime;
  global $_POST;  
  $conn = connect();
  $sql = "SELECT t1.en, t1.enint, t1.pc, t1.dn, t1.fn, t1.ln, t1.su, t1.admin, t1.pass, t1.deptid, t1.exdate, t1.paycycle, t1.disflexi, t1.flexih, t1.flexim, t1.carea, t1.cstat, t1.asu, t1.dm, t1.dme, t1.careatime, t1.cstattime FROM emp AS t1 where t1.en='" .@$_POST["en"] ."';";  
  $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');
  $row = sqlite_fetch_array_ex($res);
  reset($row);
  if ($dir =! $row["cstat"]){
        if ($intextime > $row["cstattime"]){
            $sql = "update emp set cstattime=".$intextime.", cstat=" .@$_POST["stat"]." where en='".@$_POST["en"]."';";
            dbaction($conn,$sql);
        }
  }

}  

?>
