<?php session_start();
  header ("HTTP/1.1 200 OK");  
  if (isset($_GET["srnorder"])) $srnorder = @$_GET["srnorder"];
  if (isset($_GET["srntype"])) $srnordtype = @$_GET["srntype"];

  if (isset($_POST["srnfilter"])) $filter = @$_POST["srnfilter"];
  if (isset($_POST["srnfilter_field"])) $filterfield = @$_POST["srnfilter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($srnorder) && isset($_SESSION["srnorder"])) $srnorder = $_SESSION["srnorder"];
  if ($srnorder == ""){$srnorder="seconds";}
  if (!isset($srnordtype) && isset($_SESSION["srntype"])) $srnordtype = $_SESSION["srntype"];
  if ($srnordtype == ""){$srnordtype="asc";}
  if (!isset($filter) && isset($_SESSION["srnfilter"])) $filter = $_SESSION["srnfilter"];
  if (!isset($filterfield) && isset($_SESSION["srnfilter_field"])) $filterfield = $_SESSION["srnfilter_field"];  
  include 'tcfunctions.php';  
  clockmaintenance("refresh");
?>

<html>
<?php htmlpagehead(); ?>
<?php bodyhtmlheader(); ?>
<?php if($_SESSION["logged_in"] == true){
          $conn = connect();
          $showrecs = 20;
          $pagerange = 10;

          $a = @$_GET["a"];
          $recid = @$_GET["recid"];
          $page = @$_GET["page"];
          if (!isset($page)) $page = 1;

          $sql = @$_POST["sql"];

          switch ($sql) {
            case "insert":
              sql_insert();
              break;
            case "update":
              sql_update();
              break;
            case "delete":
              sql_delete();
              break;
          }

          switch ($a) {
            case "add":
              addrec();
              break;
            case "view":
              viewrec($recid);
              break;
            case "edit":
              editrec($recid);
              break;
            case "del":
              deleterec($recid);
              break;
            default:
              select();
              break;
          }

          if (isset($srnorder)) $_SESSION["srnorder"] = $srnorder;
          if (isset($srnordtype)) $_SESSION["srntype"] = $srnordtype;
          if (isset($filter)) $_SESSION["srnfilter"] = $filter;
          if (isset($filterfield)) $_SESSION["srnfilter_field"] = $filterfield;
          if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

          $conn = null;
}?>
<?php bodyhtmlfooter(); ?>
</html>
          
<?php function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $srnorder;
  global $srnordtype;


  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($srnordtype == "asc") { $srnordtypestr = "desc"; } else { $srnordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {sqlite_seek_ex($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
        
<?php browsehtmlheader('Browse Sirens'); ?>
<table id="BrowseSirens_tbl" border="0" cellspacing="0">
    <tr>
        <?php if($srnorder == "seconds"){if($srnordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>    
        <td class="tableheader3"><?php echo $sortimage?><a href="sirens.php?srnorder=<?php echo "seconds" ?>&srntype=<?php echo $srnordtypestr ?>"><?php echo htmlspecialchars("Time") ?></a></td>
        <?php if($srnorder == "mon"){if($srnordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>        
        <td class="tableheader2"><?php echo $sortimage?><a href="sirens.php?srnorder=<?php echo "mon" ?>&srntype=<?php echo $srnordtypestr ?>"><?php echo htmlspecialchars("Mon") ?></a></td>
        <?php if($srnorder == "tue"){if($srnordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
        <td class="tableheader2"><?php echo $sortimage?><a href="sirens.php?srnorder=<?php echo "tue" ?>&srntype=<?php echo $srnordtypestr ?>"><?php echo htmlspecialchars("Tue") ?></a></td>
        <?php if($srnorder == "wed"){if($srnordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
        <td class="tableheader2"><?php echo $sortimage?><a href="sirens.php?srnorder=<?php echo "wed" ?>&srntype=<?php echo $srnordtypestr ?>"><?php echo htmlspecialchars("Wed") ?></a></td>
        <?php if($srnorder == "thu"){if($srnordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
        <td class="tableheader2"><?php echo $sortimage?><a href="sirens.php?srnorder=<?php echo "thu" ?>&srntype=<?php echo $srnordtypestr ?>"><?php echo htmlspecialchars("Thu") ?></a></td>
        <?php if($srnorder == "fri"){if($srnordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
        <td class="tableheader2"><?php echo $sortimage?><a href="sirens.php?srnorder=<?php echo "fri" ?>&srntype=<?php echo $srnordtypestr ?>"><?php echo htmlspecialchars("Fri") ?></a></td>
        <?php if($srnorder == "sat"){if($srnordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
        <td class="tableheader2"><?php echo $sortimage?><a href="sirens.php?srnorder=<?php echo "sat" ?>&srntype=<?php echo $srnordtypestr ?>"><?php echo htmlspecialchars("Sat") ?></a></td>
        <?php if($srnorder == "sun"){if($srnordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
        <td class="tableheader2"><?php echo $sortimage?><a href="sirens.php?srnorder=<?php echo "sun" ?>&srntype=<?php echo $srnordtypestr ?>"><?php echo htmlspecialchars("Sun") ?></a></td>
        <?php if($srnorder == "dserial"){if($srnordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
        <td class="tableheader2"><?php echo $sortimage?><a href="sirens.php?srnorder=<?php echo "dserial" ?>&srntype=<?php echo $srnordtypestr ?>"><?php echo htmlspecialchars("S/no") ?></a></td>
        <?php if($srnorder == "si2"){if($srnordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
        <td class="tableheader2"><?php echo $sortimage?><a href="sirens.php?srnorder=<?php echo "si2" ?>&srntype=<?php echo $srnordtypestr ?>"><?php echo htmlspecialchars("Duration") ?></a></td>
        <?php if($srnorder == "desc"){if($srnordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
        <td class="tableheader2"><?php echo $sortimage?><a href="sirens.php?srnorder=<?php echo "desc" ?>&srntype=<?php echo $srnordtypestr ?>"><?php echo htmlspecialchars("Description") ?></a></td>        
        <td class="tableheader1">&nbsp;</td>
        <td class="tableheader1">&nbsp;</td>        
    </tr>
    <?php
      for ($i = $startrec; $i < $reccount; $i++)
      {
        $row = sqlite_fetch_array_ex($res);
        $style = "fr";
        if ($i % 2 != 0) {
            $style = "sr";
            }
    ?>
    <tr onMouseOver="BrowseSirens.omv(this);" onMouseOut="BrowseSirens.omt(this);">        
        <td class="<?php echo $style ."_bold" ?>"><?php echo htmlspecialchars(gmdate("H:i", $row["seconds"])) ?></td>        
        <?php if (trim($row["mon"]) == "1") {$sir_style = $style ."_green";} else {$sir_style = $style ."_red";} ?>
        <td class="<?php echo $sir_style ?>"><?php echo htmlspecialchars($row["mon"]? "Yes" : "No") ?></td>        
        <?php if (trim($row["tue"]) == "1") {$sir_style = $style ."_green";} else {$sir_style = $style ."_red";} ?>
        <td class="<?php echo $sir_style ?>"><?php echo htmlspecialchars($row["tue"]? "Yes" : "No") ?></td>        
        <?php if (trim($row["wed"]) == "1") {$sir_style = $style ."_green";} else {$sir_style = $style ."_red";} ?>
        <td class="<?php echo $sir_style ?>"><?php echo htmlspecialchars($row["wed"]? "Yes" : "No") ?></td>        
        <?php if (trim($row["thu"]) == "1") {$sir_style = $style ."_green";} else {$sir_style = $style ."_red";} ?>
        <td class="<?php echo $sir_style ?>"><?php echo htmlspecialchars($row["thu"]? "Yes" : "No") ?></td>        
        <?php if (trim($row["fri"]) == "1") {$sir_style = $style ."_green";} else {$sir_style = $style ."_red";} ?>
        <td class="<?php echo $sir_style ?>"><?php echo htmlspecialchars($row["fri"]? "Yes" : "No") ?></td>
        <?php if($srnorder == "sat"){if($srnordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
        <?php if (trim($row["sat"]) == "1") {$sir_style = $style ."_green";} else {$sir_style = $style ."_red";} ?>
        <td class="<?php echo $sir_style ?>"><?php echo htmlspecialchars($row["sat"]? "Yes" : "No") ?></td>
        <?php if($srnorder == "sun"){if($srnordtypestr == "asc"){$sortimage = "<img src='images/sortdown.png' title='Decending' border='0'>";}else{$sortimage = "<img src='images/sortup.png' title='Ascending' border='0'>" ;}}else{$sortimage = "" ;} ?>
        <?php if (trim($row["sun"]) == "1") {$sir_style = $style ."_green";} else {$sir_style = $style ."_red";} ?>
        <td class="<?php echo $sir_style ?>"><?php echo htmlspecialchars($row["sun"]? "Yes" : "No") ?></td>                
        <td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["dserial"]) ?></td>        
        <td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["si2"]/1000) ?></td>        
        <td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["desc"]) ?></td>        
        <td class="<?php echo $style ?>"><a href="sirens.php?a=edit&recid=<?php echo $i ?>"><img src="images/change.png" title="Change" width="16" height="16" border="0"></a></td>        
        <td class="<?php echo $style ?>"><a href="sirens.php?a=del&recid=<?php echo $i ?>"><img src="images/delete.png" title="Delete" width="16" height="16" border="0"></a></td>                                        
    </tr>
   <?php } ?>
</table>

<script type="text/javascript">var BrowseSirens=new browseTable('BrowseSirens_tbl',1,'browsesirens',1,1,0);
BrowseSirens.greenBar();
</script>
   
<?php browsehtmlfooter(); ?>

<table class="bd" border="0" cellspacing="1" cellpadding="4">
    <tr>
        <td>Records shown <?php echo $startrec + 1 ?> - <?php echo $reccount ?> of <?php echo $count ?></td>        
    </tr>
    <tr>
        <td><?php showpagenav($page, $pagecount); ?></td>
    </tr>
</table>
&nbsp;

<hr size="1" noshade>
<form action="sirens.php" method="post">
    <table class="bd" border="0" cellspacing="1" cellpadding="4">
        <tr>
            <td><b>Search for </b>&nbsp;</td>
            <td><input type="text" name="srnfilter" value="<?php echo $filter ?>"/></td>
            <td>&nbsp;<b>in</b>&nbsp; </td>
            <td>
                <select name="srnfilter_field">
                    <option value="">All Fields</option>
                    <option value="<?php echo "seconds" ?>"<?php if ($filterfield == "seconds") { echo "selected"; } ?>><?php echo htmlspecialchars("Time") ?></option>
                    <option value="<?php echo "mon" ?>"<?php if ($filterfield == "mon") { echo "selected"; } ?>><?php echo htmlspecialchars("Mon") ?></option>
                    <option value="<?php echo "tue" ?>"<?php if ($filterfield == "tue") { echo "selected"; } ?>><?php echo htmlspecialchars("Tue") ?></option>
                    <option value="<?php echo "wed" ?>"<?php if ($filterfield == "wed") { echo "selected"; } ?>><?php echo htmlspecialchars("Wed") ?></option>
                    <option value="<?php echo "thu" ?>"<?php if ($filterfield == "thu") { echo "selected"; } ?>><?php echo htmlspecialchars("Thu") ?></option>
                    <option value="<?php echo "fri" ?>"<?php if ($filterfield == "fri") { echo "selected"; } ?>><?php echo htmlspecialchars("Fri") ?></option>
                    <option value="<?php echo "sat" ?>"<?php if ($filterfield == "sat") { echo "selected"; } ?>><?php echo htmlspecialchars("Sat") ?></option>
                    <option value="<?php echo "sun" ?>"<?php if ($filterfield == "sun") { echo "selected"; } ?>><?php echo htmlspecialchars("Sun") ?></option>
                    <option value="<?php echo "dserial" ?>"<?php if ($filterfield == "dserial") { echo "selected"; } ?>><?php echo htmlspecialchars("Serial No") ?></option>                    
                    <option value="<?php echo "si2" ?>"<?php if ($filterfield == "si2") { echo "selected"; } ?>><?php echo htmlspecialchars("Duration") ?></option>
                    <option value="<?php echo "desc" ?>"<?php if ($filterfield == "desc") { echo "selected"; } ?>><?php echo htmlspecialchars("Description") ?></option>
                </select>
            </td>
            <td>                                    
                <!--<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Whole words only</td>-->
                <input type="submit" name="action" title="Search browse for..." value="Search" class="normalbutton"/>&nbsp<input type="button" title="Reset browse after search" value="Reset" onclick="window.location='sirens.php?a=reset'" class="normalbutton"/>
            </td>            
        </tr>
    </table>
</form>

<?php } ?>  

<?php function showrow($row, $recid)
  {
?>
    <table class="tbl" border="0" cellspacing="1" cellpadding="5">
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Time:")."&nbsp;" ?></td>            
            <td  colspan="2" class="dr"><input disabled class="il1" type="text" name="seconds" value="<?php echo (gmdate("H:i", intval($row["seconds"]))); ?>">&nbsp;(hh:mm)</td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Mon:")."&nbsp;" ?></td>            
            <?php if (trim($row["mon"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td  colspan="4" class="dr"><input disabled class="cb1" type="checkbox" <?php echo $checkstatus ?> name="mon" value="<?php echo str_replace('"', '&quot;', trim($row["mon"])) ?>"></td>
            </td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Tue:")."&nbsp;" ?></td>
            <?php if (trim($row["tue"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td  colspan="4" class="dr"><input disabled class="cb1" type="checkbox" <?php echo $checkstatus ?> name="tue" value="<?php echo str_replace('"', '&quot;', trim($row["tue"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Wed:")."&nbsp;" ?></td>
            <?php if (trim($row["wed"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td  colspan="4" class="dr"><input disabled class="cb1" type="checkbox" <?php echo $checkstatus ?> name="wed" value="<?php echo str_replace('"', '&quot;', trim($row["wed"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Thu:")."&nbsp;" ?></td>
            <?php if (trim($row["thu"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td  colspan="4" class="dr"><input disabled class="cb1" type="checkbox" <?php echo $checkstatus ?> name="thu" value="<?php echo str_replace('"', '&quot;', trim($row["thu"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Fri:")."&nbsp;" ?></td>
            <?php if (trim($row["fri"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td  colspan="4" class="dr"><input disabled class="cb1" type="checkbox" <?php echo $checkstatus ?> name="fri" value="<?php echo str_replace('"', '&quot;', trim($row["fri"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Sat:")."&nbsp;" ?></td>
            <?php if (trim($row["sat"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td  colspan="4" class="dr"><input disabled class="cb1" type="checkbox" <?php echo $checkstatus ?> name="sat" value="<?php echo str_replace('"', '&quot;', trim($row["sat"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Sun:")."&nbsp;" ?></td>            
            <?php if (trim($row["sun"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td  colspan="4" class="dr"><input disabled class="cb1" type="checkbox" <?php echo $checkstatus ?> name="sun" value="<?php echo str_replace('"', '&quot;', trim($row["sun"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("S/No:")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input disabled class="il1" type="text" name="dserial" value="<?php echo str_replace('"', '&quot;', trim($row["dserial"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Relay:")."&nbsp;" ?></td>
            <!--<td class="dr"><input disabled class="il1" type="text" name="si1" value="<?php echo str_replace('"', '&quot;', trim($row["si1"])) ?>"></td>-->
            <?php if ((trim($row["si1"] & 1)) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td class="dr">Relay 1:<input disabled class="cb1" type="checkbox" <?php echo $checkstatus ?> name="relay1" value="1"></td>
            <?php if ((trim($row["si1"] & 2)) == "2") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td class="dr">Relay 2:<input disabled class="cb1" type="checkbox" <?php echo $checkstatus ?> name="relay2" value="2"></td>
            <?php if ((trim($row["si1"] & 4)) == "4") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td class="dr">Relay 3:<input disabled class="cb1" type="checkbox" <?php echo $checkstatus ?> name="relay3" value="4"></td>
            <?php if ((trim($row["si1"] & 128)) == "128") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td class="dr">Buzzer:<input disabled class="cb1" type="checkbox" <?php echo $checkstatus ?> name="buzzer" value="128"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Duration:")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input disabled class="il1" type="text" name="si2" value="<?php echo str_replace('"', '&quot;', trim($row["si2"]/1000)) ?>">&nbsp;(seconds)</td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Show on LCD line 1:")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input disabled class="il2" type="text" name="ss1" value="<?php echo str_replace('"', '&quot;', trim($row["ss1"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Show on LCD line 2:")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input disabled class="il2" type="text" name="ss2" value="<?php echo str_replace('"', '&quot;', trim($row["ss2"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Show on LCD line 3:")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input disabled class="il2" type="text" name="ss3" value="<?php echo str_replace('"', '&quot;', trim($row["ss3"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Show on LCD line 4:")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input disabled class="il2" type="text" name="ss4" value="<?php echo str_replace('"', '&quot;', trim($row["ss4"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Description:")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input disabled class="il2" type="text" name="desc" value="<?php echo str_replace('"', '&quot;', trim($row["desc"])) ?>"></td>
        </tr>
    </table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
?>
    <table class="tbl" border="0" cellspacing="1" cellpadding="5">
        <!--<tr>
            <td class="hr"><?php echo htmlspecialchars("id")."&nbsp;" ?></td>
            <td colspan="4" class="dr"><input type="text" name="id" value="<?php echo str_replace('"', '&quot;', trim($row["id"])) ?>"></td>
        </tr>-->
        <!--<tr>
            <td class="hr"><?php echo htmlspecialchars("_nextdue")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input type="text" name="_nextdue" value="<?php echo str_replace('"', '&quot;', trim($row["_nextdue"])) ?>"></td>
        </tr>-->
        <!--<tr>
            <td class="hr"><?php echo htmlspecialchars("seqid")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input type="text" name="seqid" value="<?php echo str_replace('"', '&quot;', trim($row["seqid"])) ?>"></td>
        </tr>-->
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Time:")."&nbsp;" ?></td>            
            <td  colspan="2" class="dr"><input class="il1" type="text" name="seconds" value="<?php echo (gmdate("H:i", intval($row["seconds"]))); ?>">&nbsp;(hh:mm)</td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Mon:")."&nbsp;" ?></td>            
            <?php if (trim($row["mon"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>   
            <td  colspan="4" class="dr"><input class="cb1" type="checkbox" <?php echo $checkstatus ?> name="mon" value="<?php echo str_replace('"', '&quot;', trim($row["mon"])) ?>"></td>
            </td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Tue:")."&nbsp;" ?></td>
            <?php if (trim($row["tue"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td  colspan="4" class="dr"><input class="cb1" type="checkbox" <?php echo $checkstatus ?> name="tue" value="<?php echo str_replace('"', '&quot;', trim($row["tue"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Wed:")."&nbsp;" ?></td>
            <?php if (trim($row["wed"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td  colspan="4" class="dr"><input class="cb1" type="checkbox" <?php echo $checkstatus ?> name="wed" value="<?php echo str_replace('"', '&quot;', trim($row["wed"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Thu:")."&nbsp;" ?></td>
            <?php if (trim($row["thu"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td  colspan="4" class="dr"><input class="cb1" type="checkbox" <?php echo $checkstatus ?> name="thu" value="<?php echo str_replace('"', '&quot;', trim($row["thu"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Fri:")."&nbsp;" ?></td>
            <?php if (trim($row["fri"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td  colspan="4" class="dr"><input class="cb1" type="checkbox" <?php echo $checkstatus ?> name="fri" value="<?php echo str_replace('"', '&quot;', trim($row["fri"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Sat:")."&nbsp;" ?></td>
            <?php if (trim($row["sat"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td  colspan="4" class="dr"><input class="cb1" type="checkbox" <?php echo $checkstatus ?> name="sat" value="<?php echo str_replace('"', '&quot;', trim($row["sat"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Sun:")."&nbsp;" ?></td>            
            <?php if (trim($row["sun"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td  colspan="4" class="dr"><input class="cb1" type="checkbox" <?php echo $checkstatus ?> name="sun" value="<?php echo str_replace('"', '&quot;', trim($row["sun"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("S/No:")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input class="il1" type="text" name="dserial" value="<?php echo str_replace('"', '&quot;', trim($row["dserial"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Relay:")."&nbsp;" ?></td>
            <?php $test0 = (trim($row["si1"] & 1));?>
            <?php $test1 = (trim($row["si1"] & 2));?>
            <?php $test2 = (trim($row["si1"] & 4));?>
            <?php $test3 = (trim($row["si1"] & 128));?>
            <!--<td class="dr"><input class="il1" type="text" name="si1" value="<?php echo str_replace('"', '&quot;', trim($row["si1"])) ?>"></td>-->
            <?php if ((trim($row["si1"] & 1)) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td class="dr">Relay 1:<input class="cb1" type="checkbox" <?php echo $checkstatus ?> name="relay1" value="1"></td>
            <?php if ((trim($row["si1"] & 2)) == "2") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td class="dr">Relay 2:<input class="cb1" type="checkbox" <?php echo $checkstatus ?> name="relay2" value="2"></td>
            <?php if ((trim($row["si1"] & 4)) == "4") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td class="dr">Relay 3:<input class="cb1" type="checkbox" <?php echo $checkstatus ?> name="relay3" value="4"></td>
            <?php if ((trim($row["si1"] & 128)) == "128") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
            <td class="dr">Buzzer:<input class="cb1" type="checkbox" <?php echo $checkstatus ?> name="buzzer" value="128"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Duration:")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input class="il1" type="text" name="si2" value="<?php echo str_replace('"', '&quot;', trim($row["si2"]/1000)) ?>">&nbsp;(seconds)</td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Show on LCD line 1:")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input class="il2" type="text" name="ss1" value="<?php echo str_replace('"', '&quot;', trim($row["ss1"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Show on LCD line 2:")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input class="il2" type="text" name="ss2" value="<?php echo str_replace('"', '&quot;', trim($row["ss2"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Show on LCD line 3:")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input class="il2" type="text" name="ss3" value="<?php echo str_replace('"', '&quot;', trim($row["ss3"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Show on LCD line 4:")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input class="il2" type="text" name="ss4" value="<?php echo str_replace('"', '&quot;', trim($row["ss4"])) ?>"></td>
        </tr>
        <tr>
            <td class="hr"><?php echo htmlspecialchars("Description:")."&nbsp;" ?></td>
            <td  colspan="4" class="dr"><input class="il2" type="text" name="desc" value="<?php echo str_replace('"', '&quot;', trim($row["desc"])) ?>"></td>
        </tr>
    </table>
<?php } ?>

<?php function showpagenav($page, $pagecount)
    {
  ?>
 <table class="bd" border="0" cellspacing="1" padding-right="4">
    <tr>
        <!--<td><img style="margin-bottom: 0" src="images/add.png" width="16" height="16" border="0"><a href="sirens.php?a=add">Add Employee</a>&nbsp;</td>-->
        <td><a href="sirens.php?a=add"><img src="images/add.png" title="Add a siren" width="16" height="16" border="0">Add Siren</a>&nbsp;</td>
            <?php if ($page > 1)
             {
              ?>
        <td><a href="sirens.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Prev</a>&nbsp;</td>
            <?php
             }
              ?>
            <?php
                global $pagerange;

                if ($pagecount > 1) {

                if ($pagecount % $pagerange != 0) {
                $rangecount = intval($pagecount / $pagerange) + 1;
                }
                else {
                $rangecount = intval($pagecount / $pagerange);
                }
                for ($i = 1; $i < $rangecount + 1; $i++) {
                $startpage = (($i - 1) * $pagerange) + 1;
                $count = min($i * $pagerange, $pagecount);

                if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
                for ($j = $startpage; $j < $count + 1; $j++) {
                if ($j == $page) {
              ?>
        <td><b><?php echo $j ?></b></td>
            <?php } else { ?>
        <td><a href="sirens.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
            <?php } } } else { ?>
        <td><a href="sirens.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
            <?php } } } ?>
            <?php if ($page < $pagecount) { ?>
        <td>&nbsp;<a href="sirens.php?page=<?php echo $page + 1 ?>">Next&nbsp;&gt;&gt;</a>&nbsp;</td>
            <?php } ?>
    </tr>
 </table>
 <?php } ?>

<?php function showrecnav($a, $recid, $count)
{
?>
  <table class="bd" border="0" cellspacing="1" cellpadding="4">
    <tr>
        <td><a href="sirens.php">Index Page</a></td>
            <?php if ($recid > 0) { ?>
        <td><a href="sirens.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Prior Record</a></td>
            <?php } if ($recid < $count - 1) { ?>
        <td><a href="sirens.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Next Record</a></td>
            <?php } ?>
    </tr>
  </table>
  <hr size="1" noshade>
<?php
}
?>

<?php function addrec()
{
?>
<?php formhtmlheader('Add Siren')?>
    <form name="updatesirensform" enctype="multipart/form-data" action="sirens.php" method="post">
        <p><input type="hidden" name="sql" value="insert"></p>
        <p><input type="hidden" name="id" value=""></p>
        <p><input type="hidden" name="_nextdue" value=""></p>
        <p><input type="hidden" name="seqid" value="-2"></p>
        <?php
        $row = array(
          "id" => "",
          "_nextdue" => "",
          "seqid" => "",
          "seconds" => "",
          "mon" => "",
          "tue" => "",
          "wed" => "",
          "thu" => "",
          "fri" => "",
          "sat" => "",
          "sun" => "",
          "dserial" => "",
          "si1" => "",
          "si2" => "",
          "ss1" => "",
          "ss2" => "",
          "ss3" => "",
          "ss4" => "",
          "desc" => "");
        showroweditor($row, false);
        ?>
        <input type="submit" name="action" value="Save" class="normalbutton">                                        
        <input type="button" value="Cancel" onclick="window.location='sirens.php'" class="normalbutton">          
    </form>
<?php formhtmlfooter() ?>     
<?php } ?>

<?php function viewrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  sqlite_seek_ex($res, $recid);
  $row = sqlite_fetch_array_ex($res);
  showrecnav("view", $recid, $count);
?>
<?php formhtmlheader('Add Siren Time')?>   
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
    <tr>
        <td><a href="sirens.php?a=add">Add Record</a></td>
        <td><a href="sirens.php?a=edit&recid=<?php echo $recid ?>">Edit Record</a></td>
        <td><a href="sirens.php?a=del&recid=<?php echo $recid ?>">Delete Record</a></td>
    </tr>
</table>
<?php formhtmlfooter() ?>
<?php } ?>

<?php function editrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  sqlite_seek_ex($res, $recid);
  $row = sqlite_fetch_array_ex($res);
  showrecnav("edit", $recid, $count);
?>
<?php formhtmlheader('Update Siren Time') ?>
    <form name="updatesirensform" enctype="multipart/form-data" action="sirens.php" method="post">
        <input type="hidden" name="sql" value="update">
        <input type="hidden" name="xid" value="<?php echo $row["id"] ?>">
        <input type="hidden" name="id" value="<?php echo $row["id"] ?>">
        <input type="hidden" name="_nextdue" value="<?php echo $row["nextdue"] ?>">
        <input type="hidden" name="seqid" value="<?php echo $row["seqid"] ?>">
        <?php showroweditor($row, true); ?>        
        <input type="submit" name="action" value="Save" class="normalbutton">                                        
        <input type="button" value="Cancel" onclick="window.location='sirens.php'" class="normalbutton">                                        
    </form>
<?php formhtmlfooter() ?>
<?php } ?>

<?php function deleterec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  sqlite_seek_ex($res, $recid);
  $row = sqlite_fetch_array_ex($res);
  showrecnav("del", $recid, $count);
?>
<?php formhtmlheader('Delete Siren Time') ?>
<br>
    <form name="updatesirensform" action="sirens.php" method="post">
        <input type="hidden" name="sql" value="delete">
        <input type="hidden" name="xid" value="<?php echo $row["id"] ?>">
        <?php showrow($row, $recid) ?>
        <input type="submit" name="action" value="Delete"  class="normalbutton">
        <input type="button" value="Cancel" onclick="window.location='sirens.php'" class="normalbutton">        
    </form>
<?php formhtmlfooter() ?>    
<?php } ?>

<?php function sql_select()
{
  global $conn;
  global $srnorder;
  global $srnordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT id, _nextdue, seqid, seconds, mon, tue, wed, thu, fri, sat, sun, dserial, si1, si2, ss1, ss2, ss3, ss4, \"desc\" FROM schedule WHERE seqid = -2";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (id like '" .$filterstr ."') or (_nextdue like '" .$filterstr ."') or (seqid like '" .$filterstr ."') or (seconds like '" .$filterstr ."') or (mon like '" .$filterstr ."') or (tue like '" .$filterstr ."') or (wed like '" .$filterstr ."') or (thu like '" .$filterstr ."') or (fri like '" .$filterstr ."') or (sat like '" .$filterstr ."') or (sun like '" .$filterstr ."') or (dserial like '" .$filterstr ."') or (si1 like '" .$filterstr ."') or (si2 like '" .$filterstr ."') or (ss1 like '" .$filterstr ."') or (ss2 like '" .$filterstr ."') or (ss3 like '" .$filterstr ."') or (ss4 like '" .$filterstr ."') or (\"desc\" like '" .$filterstr ."')";
  }
  if (isset($srnorder) && $srnorder!='') $sql .= " order by \"" .sqlstr($srnorder) ."\"";
  if (isset($srnordtype) && $srnordtype!='') $sql .= " " .sqlstr($srnordtype);
  $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');    
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $srnorder;
  global $srnordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM schedule WHERE seqid = -2";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (id like '" .$filterstr ."') or (_nextdue like '" .$filterstr ."') or (seqid like '" .$filterstr ."') or (seconds like '" .$filterstr ."') or (mon like '" .$filterstr ."') or (tue like '" .$filterstr ."') or (wed like '" .$filterstr ."') or (thu like '" .$filterstr ."') or (fri like '" .$filterstr ."') or (sat like '" .$filterstr ."') or (sun like '" .$filterstr ."') or (dserial like '" .$filterstr ."') or (si1 like '" .$filterstr ."') or (si2 like '" .$filterstr ."') or (ss1 like '" .$filterstr ."') or (ss2 like '" .$filterstr ."') or (ss3 like '" .$filterstr ."') or (ss4 like '" .$filterstr ."') or (\"desc\" like '" .$filterstr ."')";
  }
  $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');    
  $row = sqlite_fetch_array_ex($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;
  $_SESSION["clkmaintenance"] = 1;
  
  if (!isset($_POST['mon'])){$locmon = "0";} else {$locmon = "1";}
  if (!isset($_POST['tue'])){$loctue = "0";} else {$loctue = "1";}
  if (!isset($_POST['wed'])){$locwed = "0";} else {$locwed = "1";}
  if (!isset($_POST['thu'])){$locthu = "0";} else {$locthu = "1";}
  if (!isset($_POST['fri'])){$locfri = "0";} else {$locfri = "1";}
  if (!isset($_POST['sat'])){$locsat = "0";} else {$locsat = "1";}
  if (!isset($_POST['sun'])){$locsun = "0";} else {$locsun = "1";}
  if (!isset($_POST['relay1'])){$relay1 = "0";} else {$relay1 = 1;}
  if (!isset($_POST['relay2'])){$relay2 = "0";} else {$relay2 = 2;}
  if (!isset($_POST['relay3'])){$relay3 = "0";} else {$relay3 = 4;}  
  if (!isset($_POST['buzzer'])){$buzzer = "0";} else {$buzzer = 128;}  
  if ($_POST['dserial']==""){$dserial = 10;} else {$dserial = sqlvalue(@$_POST['dserial'], false, false);}
  $locrelay = $relay1 + $relay2 + $relay3 + $buzzer;      
  if (!isset($_POST['si2'])){$locduration = "0";} else {$locduration = $_POST['si2'] * 1000;}  
  if (!isset($_POST['seconds'])){$sirenhours = 43200;} 
    else {
        if (substr_count($_POST['seconds'],':') <> 1){
            $sirenhours = 43200;                    
        }   elseif (strlen($_POST['seconds'])== 5){
                $sirenhours = substr($_POST['seconds'],0,2) * 3600;
                $sirenminutes = substr($_POST['seconds'],3,2) * 60;
        }
            elseif (strlen($_POST['seconds'])==4){
                $sirenhours = substr($_POST['seconds'],0,1) * 3600;
                $sirenminutes = substr($_POST['seconds'],2,2) * 60;}                
            } 
  $sql = "insert into schedule (id, _nextdue, seqid, seconds, mon, tue, wed, thu, fri, sat, sun, dserial, si1, si2, ss1, ss2, ss3, ss4, \"desc\") values (" .sqlvalue(@$_POST["id"], false, false).", " .sqlvalue(@$_POST["_nextdue"], false, false).", "  .sqlvalue(@$_POST["seqid"], false, false).", "  .($sirenhours + $sirenminutes) .", " .$locmon.", " .$loctue.", " .$locwed.", " .$locthu.", " .$locfri.", " .$locsat.", " .$locsun.", "   .$dserial.", "   .$locrelay.", " .$locduration.", "  .sqlvalue(@$_POST["ss1"], true, true).", " .sqlvalue(@$_POST["ss2"], true, true).", " .sqlvalue(@$_POST["ss3"], true, true).", "  .sqlvalue(@$_POST["ss4"], true, true).", "  .sqlvalue(@$_POST["desc"], true, true).")";  
  dbaction($conn,$sql);
}

function sql_update()
{
  global $conn;  
  global $_POST;  
  $_SESSION["clkmaintenance"] = 1;
  
  if (!isset($_POST['mon'])){$locmon = "0";} else {$locmon = "1";}
  if (!isset($_POST['tue'])){$loctue = "0";} else {$loctue = "1";}
  if (!isset($_POST['wed'])){$locwed = "0";} else {$locwed = "1";}
  if (!isset($_POST['thu'])){$locthu = "0";} else {$locthu = "1";}
  if (!isset($_POST['fri'])){$locfri = "0";} else {$locfri = "1";}
  if (!isset($_POST['sat'])){$locsat = "0";} else {$locsat = "1";}
  if (!isset($_POST['sun'])){$locsun = "0";} else {$locsun = "1";}
  if (!isset($_POST['relay1'])){$relay1 = "0";} else {$relay1 = 1;}
  if (!isset($_POST['relay2'])){$relay2 = "0";} else {$relay2 = 2;}
  if (!isset($_POST['relay3'])){$relay3 = "0";} else {$relay3 = 4;}  
  if (!isset($_POST['buzzer'])){$buzzer = "0";} else {$buzzer = 128;}    
  if ($_POST['dserial'] == ""){$dserial = 10;} else {$dserial = sqlvalue(@$_POST['dserial'], false, false);}
  $locrelay = $relay1 + $relay2 + $relay3 + $buzzer;      
  if (!isset($_POST['si2'])){$locduration = "0";} else {$locduration = $_POST['si2'] * 1000;}  
  if (!isset($_POST['seconds'])){$sirenhours = 43200;} 
    else {
        if (substr_count($_POST['seconds'],':') <> 1){
            $sirenhours = 43200;                    
        }   elseif (strlen($_POST['seconds'])== 5){
                $sirenhours = substr($_POST['seconds'],0,2) * 3600;
                $sirenminutes = substr($_POST['seconds'],3,2) * 60;
        }
            elseif (strlen($_POST['seconds'])==4){
                $sirenhours = substr($_POST['seconds'],0,1) * 3600;
                $sirenminutes = substr($_POST['seconds'],2,2) * 60;}                
            }
  
  $sql = "update schedule set id=" .sqlvalue(@$_POST["id"], false, false).", _nextdue=" .sqlvalue(@$_POST["_nextdue"], false, false).", seqid=" .sqlvalue(@$_POST["seqid"], false, false).", seconds=" .($sirenhours + $sirenminutes) .", mon=" .$locmon .", tue=" .$loctue .", wed=" .$locwed .", thu=" .$locthu .", fri=" .$locfri .", sat=" .$locsat .", sun=" .$locsun .", dserial=" .$dserial.", si1=" .$locrelay.", si2=" .$locduration .", ss1=" .sqlvalue(@$_POST["ss1"], true, true).", ss2=" .sqlvalue(@$_POST["ss2"], true, true).", ss3=" .sqlvalue(@$_POST["ss3"], true, true).", ss4=" .sqlvalue(@$_POST["ss4"], true, true).", \"desc\"=" .sqlvalue(@$_POST["desc"], true, true) ." where " .primarykeycondition();  
  dbaction($conn,$sql);
}

function sql_delete()
{
  global $conn;
  $_SESSION["clkmaintenance"] = 1;
  $sql = "delete from schedule where " .primarykeycondition();
  dbaction($conn,$sql);
}
function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(id";
  if (@$_POST["xid"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid"], false, false);
  };
  $pk .= ")";
  return $pk;
}


 ?>
                
