<?php session_start();
  header ("HTTP/1.1 200 OK");
  include 'tcfunctions.php';
  clockmaintenance("refresh");
?>

<html>
<?php htmlpagehead(); ?>
<?php bodyhtmlheader(); ?>
<?php if($_SESSION["logged_in"] == true){
  $conn = connect();

  $a = @$_GET["a"];
  $clockaction = @$_GET["clockaction"];
  $sql = @$_POST["sql"];

  switch ($sql) {
    case "update":
      sql_update();
      break;
  }

  switch ($a) {
    default:
      editrec($recid);
      break;
  }

  $conn = null;
}?>
<?php bodyhtmlfooter(); ?>
</html>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5">
    <tr>
        <td class="hr"><?php echo htmlspecialchars("Current Timezone")."&nbsp;" ?></td>
        <td class="dr"><input disabled type="text" name="ip" value="<?php echo str_replace('"', '&quot;', trim($row["tz_current"])) ?>"></td>
    </tr>
    <tr>
       <td class="hr"><?php echo htmlspecialchars("New Timezone")."&nbsp;" ?></td>
       <td>
          <select name="tz_new">
            <option>Africa/Johannesburg</option> 
            <option>Australia/ACT</option> 
            <option>Australia/North</option> 
            <option>Australia/NSW</option> 
            <option>Australia/Queensland</option> 
            <option>Australia/South</option> 
            <option>Australia/Tasmania</option> 
            <option>Australia/Victoria</option> 
            <option>Australia/West</option> 
            <option>Europe/Amsterdam</option> 
            <option>Europe/Berlin</option> 
            <option>Europe/London</option> 
            <option>Europe/Madrid</option> 
            <option>Europe/Oslo</option> 
            <option>Europe/Paris</option> 
            <option>Europe/Rome</option> 
            <option>Pacific/Auckland</option> 
            <option>US/Alaska</option> 
            <option>US/Central</option> 
            <option>US/Eastern</option> 
            <option>US/Hawaii</option> 
            <option>US/Mountain</option> 
            <option>US/Pacific</option> 
            <option>GMT0</option> 
            <option>GMT-1</option> 
            <option>GMT-2</option> 
            <option>GMT-3</option> 
            <option>GMT-4</option> 
            <option>GMT-5</option> 
            <option>GMT-6</option> 
            <option>GMT-7</option> 
            <option>GMT-8</option> 
            <option>GMT-9</option> 
            <option>GMT-10</option> 
            <option>GMT-11</option> 
            <option>GMT-12</option> 
            <option>GMT+0</option> 
            <option>GMT+1</option> 
            <option>GMT+2</option> 
            <option>GMT+3</option> 
            <option>GMT+4</option> 
            <option>GMT+5</option> 
            <option>GMT+6</option> 
            <option>GMT+7</option> 
            <option>GMT+8</option> 
            <option>GMT+9</option> 
            <option>GMT+10</option> 
            <option>GMT+11</option> 
            <option>GMT+12</option>             
          </select>
       </td>
    </tr>    
</table>
<?php } ?>

<?php function editrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  sqlite_seek_ex($res, $recid);
  $row = sqlite_fetch_array_ex($res);
  global $clockaction;
?>

<?php
if (!isset($clockaction)){ ?>
  <div class="centerform"> 
    <?php formhtmlheader('Update TimeZone') ?>
        <form enctype="multipart/form-data" action="timezones.php?clockaction=reboot" method="post">
        <input type="hidden" name="sql" value="update">
        <input type="hidden" name="xid" value="<?php echo $row["id"] ?>">
        <?php showroweditor($row, true); ?>
        <br>
        <table align="center">
            <tr>
                <td>                    
                    <input type="submit" name="action" value="Save" class="normalbutton">                                        
                    <input type="button" value="Cancel" onclick="window.location='timezones.php'" class="normalbutton">                                        
                </td>
            </tr>
        </table>                              
        </form>
    <?php formhtmlfooter() ?> 
  </div> 
<?php } ?>
<?php
 if (isset($clockaction)){
     ?>
        <div class="centerform">
          <?php windowhtmlheader("Warning!") ?>
            <form enctype="multipart/form-data" action="cgi/reboot" method="post">
            <input type="hidden" name="sql" value="clock">
            <input type="hidden" name="action" value="reboot">                
            <table>
                <tr>
                    <td align="center">
                        The timezone was succesfully updated.<br/>
                        Please select the reboot button to implement the changes<br/>
                        or press the cancel button to reboot the clock later.<br/>
                    </td>
                </tr>
                <tr>
                    <td height="12px">
                    </td>
                </tr>                
                <tr>
                    <td align="center">
                        <input type="button" value="Reboot" onclick="window.location='restart.php'" class="normalbutton">                                        
                        <input type="button" value="Cancel" onclick="window.location='timezones.php'" class="normalbutton">
                    </td>
                </tr>
            </table>
            </form>
            <?php windowhtmlfooter() ?> 
        </div>        
    <?php } ?>
<?php } ?>

<?php function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT id, \"desc\", enabled, initialised, log, setip, dhcp, ip, netmask, broadcast, gateway, nameserver1, nameserver2, nameserver3, nameserver4, sip, sport, ssip, ssport, sson, cip, cport, csip, csport, cson, smtpip, smtpport, smtpuser, smtppass, idletimeout, connectiontimeout, retryclientconnect, keepclockings, autoreader, maxunknowncards, internettimeonboot, internettimeserver1, internettimeserver2, internettimeserver3, internettimeserver4, internettimeserver5, internettimeserver6, tz_new, tz_current, defaultmodel, waitidealmin, waitmax, countidealmin, countmax, timepriority FROM thisdev";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (id like '" .$filterstr ."') or (\"desc\" like '" .$filterstr ."') or (enabled like '" .$filterstr ."') or (initialised like '" .$filterstr ."') or (log like '" .$filterstr ."') or (setip like '" .$filterstr ."') or (dhcp like '" .$filterstr ."') or (ip like '" .$filterstr ."') or (netmask like '" .$filterstr ."') or (broadcast like '" .$filterstr ."') or (gateway like '" .$filterstr ."') or (nameserver1 like '" .$filterstr ."') or (nameserver2 like '" .$filterstr ."') or (nameserver3 like '" .$filterstr ."') or (nameserver4 like '" .$filterstr ."') or (sip like '" .$filterstr ."') or (sport like '" .$filterstr ."') or (ssip like '" .$filterstr ."') or (ssport like '" .$filterstr ."') or (sson like '" .$filterstr ."') or (cip like '" .$filterstr ."') or (cport like '" .$filterstr ."') or (csip like '" .$filterstr ."') or (csport like '" .$filterstr ."') or (cson like '" .$filterstr ."') or (smtpip like '" .$filterstr ."') or (smtpport like '" .$filterstr ."') or (smtpuser like '" .$filterstr ."') or (smtppass like '" .$filterstr ."') or (idletimeout like '" .$filterstr ."') or (connectiontimeout like '" .$filterstr ."') or (retryclientconnect like '" .$filterstr ."') or (keepclockings like '" .$filterstr ."') or (autoreader like '" .$filterstr ."') or (maxunknowncards like '" .$filterstr ."') or (internettimeonboot like '" .$filterstr ."') or (internettimeserver1 like '" .$filterstr ."') or (internettimeserver2 like '" .$filterstr ."') or (internettimeserver3 like '" .$filterstr ."') or (internettimeserver4 like '" .$filterstr ."') or (internettimeserver5 like '" .$filterstr ."') or (internettimeserver6 like '" .$filterstr ."') or (tz_new like '" .$filterstr ."') or (tz_current like '" .$filterstr ."') or (defaultmodel like '" .$filterstr ."') or (waitidealmin like '" .$filterstr ."') or (waitmax like '" .$filterstr ."') or (countidealmin like '" .$filterstr ."') or (countmax like '" .$filterstr ."') or (timepriority like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by \"" .sqlstr($order) ."\"";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');    
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM thisdev";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (id like '" .$filterstr ."') or (\"desc\" like '" .$filterstr ."') or (enabled like '" .$filterstr ."') or (initialised like '" .$filterstr ."') or (log like '" .$filterstr ."') or (setip like '" .$filterstr ."') or (dhcp like '" .$filterstr ."') or (ip like '" .$filterstr ."') or (netmask like '" .$filterstr ."') or (broadcast like '" .$filterstr ."') or (gateway like '" .$filterstr ."') or (nameserver1 like '" .$filterstr ."') or (nameserver2 like '" .$filterstr ."') or (nameserver3 like '" .$filterstr ."') or (nameserver4 like '" .$filterstr ."') or (sip like '" .$filterstr ."') or (sport like '" .$filterstr ."') or (ssip like '" .$filterstr ."') or (ssport like '" .$filterstr ."') or (sson like '" .$filterstr ."') or (cip like '" .$filterstr ."') or (cport like '" .$filterstr ."') or (csip like '" .$filterstr ."') or (csport like '" .$filterstr ."') or (cson like '" .$filterstr ."') or (smtpip like '" .$filterstr ."') or (smtpport like '" .$filterstr ."') or (smtpuser like '" .$filterstr ."') or (smtppass like '" .$filterstr ."') or (idletimeout like '" .$filterstr ."') or (connectiontimeout like '" .$filterstr ."') or (retryclientconnect like '" .$filterstr ."') or (keepclockings like '" .$filterstr ."') or (autoreader like '" .$filterstr ."') or (maxunknowncards like '" .$filterstr ."') or (internettimeonboot like '" .$filterstr ."') or (internettimeserver1 like '" .$filterstr ."') or (internettimeserver2 like '" .$filterstr ."') or (internettimeserver3 like '" .$filterstr ."') or (internettimeserver4 like '" .$filterstr ."') or (internettimeserver5 like '" .$filterstr ."') or (internettimeserver6 like '" .$filterstr ."') or (tz_new like '" .$filterstr ."') or (tz_current like '" .$filterstr ."') or (defaultmodel like '" .$filterstr ."') or (waitidealmin like '" .$filterstr ."') or (waitmax like '" .$filterstr ."') or (countidealmin like '" .$filterstr ."') or (countmax like '" .$filterstr ."') or (timepriority like '" .$filterstr ."')";
  }
  $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');    
  $row = sqlite_fetch_array_ex($res);
  reset($row);
  return current($row);
}

function sql_update()
{
  global $conn;
  global $_POST;  
  
  $sql = "update thisdev set tz_new=" .sqlvalue (@$_POST["tz_new"], true, true) ." where " .primarykeycondition();    
  dbaction($conn,$sql);
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(id";
  if (@$_POST["xid"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid"], false, true);
  };
  $pk .= ")";
  return $pk;
}

 ?>
