<?php
  header ("HTTP/1.1 200 OK");  

  if (isset($_GET["type"])){
      $type = @$_GET["type"];
  }
  if (isset($_GET["group"])){
      $group = @$_GET["group"];
  }  
  if (isset($_GET["fromdate"])){
      $fromdate = @$_GET["fromdate"];
  } 
  if (isset($_GET["todate"])){
      $todate = @$_GET["todate"];
  }       

  $conn = new PDO("sqlite:/var/local/data/capeclock.db");
  $sql = "SELECT id, \"desc\", enabled, initialised, log, setip, dhcp, ip, netmask, broadcast, gateway, nameserver1, nameserver2, nameserver3, nameserver4, sip, sport, ssip, ssport, sson, cip, cport, csip, csport, cson, smtpip, smtpport, smtpuser, smtppass, idletimeout, connectiontimeout, retryclientconnect, keepclockings, autoreader, maxunknowncards, internettimeonboot, internettimeserver1, internettimeserver2, internettimeserver3, internettimeserver4, internettimeserver5, internettimeserver6, tz_new, tz_current, defaultmodel, waitidealmin, waitmax, countidealmin, countmax, timepriority, hrsindec FROM thisdev";
  $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');
  $row = $res->fetch(PDO::FETCH_ASSOC);
  reset($row);
  $_SESSION["hrsindec"] = $row["hrsindec"];
  
  switch ($type) {
  case "employees":
    exportemployees();
    break;
  case "clockings":
    exportclockings();
    break;
  case "cards":
    exportcards();
    break;
  case "dailyhours":
    exportdhours();
    break;    
  case "payrollhours":
    exportphours();
    break;        
  }

function exportemployees()
{   
    $conn = new PDO("sqlite:/var/local/data/capeclock.db");
    $sql = "SELECT en as 't1.en', enint as 't1.enint', t1.pc as 't1.pc', dn as 't1.dn', fn as 't1.fn', ln as 't1.ln', su as 't1.su', admin as 't1.admin', pass as 't1.pass', deptid as 't1.deptid', \"desc\" AS 'lp_deptid', exdate as 't1.exdate', paycycle as 't1.paycycle', disflexi as 't1.disflexi', flexih as 't1.flexih', flexim as 't1.flexim', carea as 't1.carea', cstat as 't1.cstat', asu as 't1.asu', dm as 't1.dm', dme as 't1.dme', careatime as 't1.careatime', cstattime as 't1.cstattime' FROM emp AS t1 LEFT OUTER JOIN dept AS t2 ON (t1.deptid = t2.id)";  
    $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');
    header('Content-Type: text/csv');
    header('Content-Disposition: inline; filename="employees.csv" ');
    header('Content-Transfer-Encoding: text');
    $stringdata = "No,Surname, First Name,Department,Termination Date\n";
    echo $stringdata; 
    while ($row = $res->fetch(PDO::FETCH_ASSOC)){
    unset($stringdata);
    if ($row["t1.exdate"] == 0) {$locexdate="";} else {$locexdate=gmdate("d M Y", ($row["t1.exdate"]));}
    $stringdata = trim($row["t1.en"]) ."," .trim($row["t1.ln"]) ."," .trim($row["t1.fn"]) ."," .trim($row["lp_deptid"]) ."," .$locexdate ."\n";
    echo $stringdata;  
    }
}

function exportclockings()
{
    global $fromdate;
    global $todate;
    global $group;
    if (isset($group)){$group = " and t1.en ='" . $group ."'";}
    $conn = new PDO("sqlite:/var/local/data/capeclock.db");
    $sql = "SELECT id as 't1.id', t1.pc as 't1.pc', pr as 't1.pr', t as 't1.t', ot as 't1.ot', gd as 't1.gd', t1.en as 't1.en', ln as 't2.ln', fn as 't2.fn', ty as 't1.ty', ds as 't1.ds', r as 't1.r', aid as 't1.aid', stat as 't1.stat', cn as 't1.cn', scn as 't1.scn', del as 't1.del' FROM clocking AS t1 LEFT OUTER JOIN emp AS t2 ON (t1.en = t2.en) where t1.t >= " .gmmktime(0,0,0, substr($fromdate,3,2),substr($fromdate,0,2),substr($fromdate,6,4)) ." and t1.t <=" .gmmktime( 23, 59, 59, substr($todate,3,2),substr($todate,0,2),substr($todate,6,4)) .$group ." and (t1.ty = 0 or t1.ty > 97) order by 't1.t' desc";
    $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');
    header('Content-Type: text/csv');
    header('Content-Disposition: inline; filename="clockings.csv" ');
    header('Content-Transfer-Encoding: text');    
    $stringdata = "Date,Time,No, Surname, First Name,Type,Extender,Reader,Area,In/Out,Card No\n";
    echo $stringdata; 
    while ($row = $res->fetch(PDO::FETCH_ASSOC)){
    unset($stringdata);      
    if($row["t1.ty"] == "0"){
        $eventtype = "Clock";
    } elseif ($row["t1.ty"] == "1"){
        $eventtype = "USB";
    } elseif ($row["t1.ty"] == "98"){
        $eventtype = "Changed";
    } elseif ($row["t1.ty"] == "99"){
        $eventtype = "Manual";
    } else{
        $eventtype = "Clock";
    }            
    $stringdata = gmdate("d/m/Y", ($row['t1.t'])) ."," .gmdate("H:i:s", ($row['t1.t'])) ."," .trim($row["t1.en"]) ."," .trim($row["t2.ln"]) .","  .trim($row["t2.fn"]) ."," .$eventtype ."," .trim($row["t1.ds"]) ."," .trim($row["t1.r"]) ."," .trim($row["t1.aid"]) ."," .trim($row["t1.stat"]) ."," .trim($row["t1.scn"]) ."\n";
    echo $stringdata;  
    }    
}   

function exportcards()
{  
    global $group;
    $conn = new PDO("sqlite:/var/local/data/capeclock.db");
    if (isset($group)){$group = " and t1.en ='" . $group ."'";}     
    $sql = "SELECT t1.lcn as 't1.lcn', t1.ecn as 't1.ecn', t1.scn as 't1.scn', t1.en as 't1.en', t2.ln as 't2.ln', t2.fn as 't2.fn', t1.pc as 't1.pc', t1.cnv as 't1.cnv', t1.asu as 't1.asu', t1.seqid as 't1.seqid' FROM card as t1 LEFT OUTER JOIN emp AS t2 ON (t1.en = t2.en) where t1.seqid >= 0" .$group ." order by 't1.t' desc";  
    $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');
    header('Content-Type: text/csv');
    header('Content-Disposition: inline; filename="cards.csv" ');
    header('Content-Transfer-Encoding: text');
    $stringdata = "Cards No,Emp No,Surname,First Name\n";
    echo $stringdata; 
    while ($row = $res->fetch(PDO::FETCH_ASSOC)){
    unset($stringdata);
    if ($row["exdate"] == 0) {$locexdate="";} else {$locexdate=gmdate("d/m/Y", ($row["exdate"]));}
    $stringdata = trim($row["t1.lcn"]) ."," .trim($row["t1.en"]) ."," .trim($row["t2.ln"]) ."," .trim($row["t2.fn"]) ."\n";
    echo $stringdata;  
    }
}

function exportdhours() 
{
    global $fromdate;
    global $todate;
    global $group;
    if (isset($group)){$group = " and t1.en ='" . $group ."'";}     
    $conn = new PDO("sqlite:/var/local/data/capeclock.db");
    $sql = "SELECT id as 't1.id', t1.pc as 't1.pc', pr as 't1.pr', t as 't1.t', ot as 't1.ot', gd as 't1.gd', t1.en as 't1.en', ln as 't2.ln', fn as 't2.fn', ty as 't1.ty', ds as 't1.ds', r as 't1.r', aid as 't1.aid', stat as 't1.stat', cn as 't1.cn', scn as 't1.scn', del as 't1.del' FROM clocking AS t1 LEFT OUTER JOIN emp AS t2 ON (t1.en = t2.en) where t1.t >= " .gmmktime(0,0,0, substr($fromdate,3,2),substr($fromdate,0,2),substr($fromdate,6,4)) .$group ." and t1.t <=" .gmmktime( 23, 59, 59, substr($todate,3,2),substr($todate,0,2),substr($todate,6,4)) ." and (t1.ty = 0 or t1.ty > 97) and (t1.del = 0 or t1.del is null) order by  \"" ."t1.en" ."\"asc, \"" ."t1.t" ."\"asc";  
    $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');
    header('Content-Type: text/csv');
    header('Content-Disposition: inline; filename="dailyhours.csv" ');
    header('Content-Transfer-Encoding: text');
    $stringdata = "Date,Emp No,Surname,First Name,Clockings,Hours\n";
    echo $stringdata; 
      $setchecks = 1;      
      while ($row = $res->fetch(PDO::FETCH_ASSOC))
      {          
          if ($setchecks == 1) {
              $curemp = $row['t1.en'];
              $curdate = gmdate("d/m/Y", ($row['t1.t']));                      
              $curfn = $row['t2.fn'];
              $curln = $row['t2.ln'];                       
              $setchecks = 0;
          }                  
          if ($curemp != $row['t1.en'] || $curdate != gmdate("d/m/Y", ($row['t1.t']))){
              if ($laststat == "0"){ 

              $style = "fr";
              if ($st % 2 != 0) {
                $style = "sr";}
              $st += 1;
              
              for ($d = 0; $d < count($daydata); $d++)
              {
                $clkno += 1;
                if ($clockings == "" || (!isset($clockings))) {
                    $clockings = htmlspecialchars($daydata[$d]["t1.stat"] ? "I-" : "O-") .(gmdate("H:i", ($daydata[$d]['t1.t']))) ." " ;
                }else {
                    $clockings .= htmlspecialchars($daydata[$d]["t1.stat"] ? "I-" : "O-") .(gmdate("H:i", ($daydata[$d]['t1.t']))) ." " ;
                }
                if ($clkno == 1 && $daydata[$d]["t1.stat"] == "0"){"do nothing";}
                else{
                    if($daydata[$d]["t1.stat"] == "0" && ($prevclkstat == "0" || $prevclkstat == "" || !isset($prevclkstat) )){"do nothing";}
                    else{
                        if ($daydata[$d]["t1.stat"] == "1"){
                            $thrs = intval(($daydata[$d]["t1.t"]) / 3600);
                            $tmin = intval((($daydata[$d]["t1.t"]) % 3600)/60);                                    
                            $prevclktime = ($thrs*3600) + ($tmin*60);
                            $prevclkstat = $daydata[$d]["t1.stat"];
                            $prevclkstat = $daydata[$d]["t1.stat"];
                        }else{
                            $thrs = intval(($daydata[$d]["t1.t"]) / 3600);
                            $tmin = intval((($daydata[$d]["t1.t"]) % 3600)/60);                                    
                            $totalhours = $totalhours + ((($thrs*3600) + ($tmin*60))-intval($prevclktime));                    
                            $prevclkstat = $daydata[$d]["t1.stat"];
                        }
                    }
                }
                                                                
              }
              $tothrs = intval($totalhours / 3600);
              $padmin = strlen(intval(($totalhours % 3600)/60));
              if ($padmin == 1){$totalmin = "0" .intval(($totalhours % 3600)/60);}else{$totalmin = intval(($totalhours % 3600)/60);}                        
              if ($_SESSION["hrsindec"] == 0) {
                  $disphrstotal = $tothrs.":" .$totalmin;
              } else {
                      $totaldecmin = round(($totalmin/60),2) * 100;
                      if(strlen($totaldecmin) == 1){$totaldecmin = "0" .trim($totaldecmin);}
                      $disphrstotal = $tothrs."." .$totaldecmin;
              }
              
              unset($stringdata);
              $stringdata = $curdate ."," .$curemp ."," .$curln ."," .$curfn ."," .$clockings ."," .$disphrstotal ."\n";
              echo $stringdata;
              
              $curemp = $row['t1.en'];
              $curfn = $row['t2.fn'];
              $curln = $row['t2.ln']; 
              $curdate = gmdate("d/m/Y", ($row['t1.t']));
              
              $clockings = "";
              $totalhours = 0;
              $prevclktime = "";
              $prevclkstat = "";
              $clkno = 0;                      
              unset($daydata);                      
          }else{if($curemp != $row['t1.en']){
              
              $curemp = $row['t1.en'];
              $curfn = $row['t2.fn'];
              $curln = $row['t2.ln']; 
              $curdate = gmdate("d/m/Y", ($row['t1.t']));
              
              $clockings = "";                      
              $totalhours = 0;
              $prevclktime = "";
              $prevclkstat = "";
              $clkno = 0;                      
              unset($daydata);                                            
              }
              }                  
          }                  
          $daydata[] = $row;
          $laststat = $row['t1.stat'];                  
          
      }
      if ($laststat == "0"){ 

      $style = "fr";
      if ($st % 2 != 0) {
        $style = "sr";}
      $st += 1;
      
      for ($d = 0; $d < count($daydata); $d++)
      {
        $clkno += 1;
        if ($clockings == "" || (!isset($clockings))) {
            $clockings = htmlspecialchars($daydata[$d]["t1.stat"] ? "I-" : "O-") .(gmdate("H:i", ($daydata[$d]['t1.t']))) ." " ;
        }else {
            $clockings .= htmlspecialchars($daydata[$d]["t1.stat"] ? "I-" : "O-") .(gmdate("H:i", ($daydata[$d]['t1.t']))) ." " ;
        }
        if ($clkno == 1 && $daydata[$d]["t1.stat"] == "0"){"do nothing";}
        else{
            if($daydata[$d]["t1.stat"] == "0" && ($prevclkstat == "0" || $prevclkstat == "" || !isset($prevclkstat) )){"do nothing";}
            else{
                if ($daydata[$d]["t1.stat"] == "1"){                    
                    $thrs = intval(($daydata[$d]["t1.t"]) / 3600);
                    $tmin = intval((($daydata[$d]["t1.t"]) % 3600)/60);                                    
                    $prevclktime = ($thrs*3600) + ($tmin*60);
                    $prevclkstat = $daydata[$d]["t1.stat"];
                    $prevclkstat = $daydata[$d]["t1.stat"];
                }else{
                    $thrs = intval(($daydata[$d]["t1.t"]) / 3600);
                    $tmin = intval((($daydata[$d]["t1.t"]) % 3600)/60);                                    
                    $totalhours = $totalhours + ((($thrs*3600) + ($tmin*60))-intval($prevclktime));                    
                    $prevclkstat = $daydata[$d]["t1.stat"];
                }
            }
        }
                                                        
      }
      $tothrs = intval($totalhours / 3600);
      $padmin = strlen(intval(($totalhours % 3600)/60));
      if ($padmin == 1){$totalmin = "0" .intval(($totalhours % 3600)/60);}else{$totalmin = intval(($totalhours % 3600)/60);}                        
      if ($_SESSION["hrsindec"] == 0) {
          $disphrstotal = $tothrs.":" .$totalmin;
      } else {
              $totaldecmin = round(($totalmin/60),2) * 100;
              if(strlen($totaldecmin) == 1){$totaldecmin = "0" .trim($totaldecmin);}
              $disphrstotal = $tothrs."." .$totaldecmin;
      }
      
      unset($stringdata);
      $stringdata = $curdate ."," .$curemp ."," .$curln ."," .$curfn ."," .$clockings ."," .$disphrstotal ."\n";
      echo $stringdata;
      
      $curemp = $row['t1.en'];
      $curfn = $row['t2.fn'];
      $curln = $row['t2.ln']; 
      $curdate = gmdate("d/m/Y", ($row['t1.t']));
      
      $clockings = "";
      $totalhours = 0;
      $prevclktime = "";
      $prevclkstat = "";
      $clkno = 0;                      
      unset($daydata);                      
  }      
}

function exportphours()
{   
    global $fromdate;
    global $todate;
    global $group; 
    if (isset($group)){$group = " and t1.en ='" . $group ."'";}   
    $conn = new PDO("sqlite:/var/local/data/capeclock.db");
    $sql = "SELECT id as 't1.id', t1.pc as 't1.pc', pr as 't1.pr', t as 't1.t', ot as 't1.ot', gd as 't1.gd', t1.en as 't1.en', ln as 't2.ln', fn as 't2.fn', ty as 't1.ty', ds as 't1.ds', r as 't1.r', aid as 't1.aid', stat as 't1.stat', cn as 't1.cn', scn as 't1.scn', del as 't1.del' FROM clocking AS t1 LEFT OUTER JOIN emp AS t2 ON (t1.en = t2.en) where t1.t >= " .gmmktime(0,0,0, substr($fromdate,3,2),substr($fromdate,0,2),substr($fromdate,6,4)) .$group ." and t1.t <=" .gmmktime( 23, 59, 59, substr($todate,3,2),substr($todate,0,2)+1,substr($todate,6,4)) ." and (t1.ty = 0 or t1.ty > 97) and (t1.del = 0 or t1.del is null) order by  \"" ."t1.en" ."\"asc, \"" ."t1.t" ."\"asc";  
    $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');
    header('Content-Type: text/csv');
    header('Content-Disposition: inline; filename="payrollhours.csv" ');
    header('Content-Transfer-Encoding: text');    
    $stringdata = "Emp No,Surname,First Name,";    
    $x = LdateDiff($fromdate, $todate);
    for ($y = 0; $y < $x; $y++){    
        $columndate = gmmktime(0,0,0, substr($fromdate,3,2),substr($fromdate,0,2) + $y,substr($fromdate,6,4));
        $stringdata = $stringdata .gmdate("D d/m", $columndate) .",";
    }
    $stringdata = $stringdata ."Hours\n";                
    echo $stringdata;     
    unset($stringdata);
        
     $setchecks = 1;
     while ($row = $res->fetch(PDO::FETCH_ASSOC))
     {
          if ($setchecks == 1) {
              $curemp = $row['t1.en'];
              $curdate = gmdate("d/m/Y", ($row['t1.t']));                      
              $curfn = $row['t2.fn'];
              $curln = $row['t2.ln'];                       
              $setchecks = 0;
          }                            
              
          if ($curemp != $row['t1.en']){
                    
              if ($laststat == "0" || $laststat == "1"){                                           
              for ($d = 0; $d < count($daydata); $d++)
              {
                if ($clkno == 1 && $daydata[$d]["t1.stat"] == "0"){"do nothing";}
                else{
                    if($daydata[$d]["t1.stat"] == "0" && ($prevclkstat == "0" || $prevclkstat == "" || !isset($prevclkstat) )){"do nothing";}
                    else{
                        if ($daydata[$d]["t1.stat"] == "1" && ($daydata[$d]["t1.t"] <= gmmktime( 23, 59, 59, substr($todate,3,2),substr($todate,0,2),substr($todate,6,4)))){
                        //if ($daydata[$d]["t1.stat"] == "1"){
                            $thrs = intval(($daydata[$d]["t1.t"]) / 3600);
                            $tmin = intval((($daydata[$d]["t1.t"]) % 3600)/60);                                    
                            $prevclktime = ($thrs*3600) + ($tmin*60);
                            $prevclkstat = $daydata[$d]["t1.stat"];
                            $prevclkstat = $daydata[$d]["t1.stat"];
                        }else if(($daydata[$d]["t1.t"] <= gmmktime( 23, 59, 59, substr($todate,3,2),substr($todate,0,2),substr($todate,6,4))) ||
                            ($daydata[$d]["t1.t"] >= gmmktime( 23, 59, 59, substr($todate,3,2),substr($todate,0,2),substr($todate,6,4))) && $prevclkstat == "1"){                            
                        //}else if(($daydata[$d]["t1.t"]) <= gmmktime( 23, 59, 59, substr($todate,3,2),substr($todate,0,2),substr($todate,6,4))){
                            $thrs = intval(($daydata[$d]["t1.t"]) / 3600);
                            $tmin = intval((($daydata[$d]["t1.t"]) % 3600)/60);                                    
                            $totalhours = $totalhours + ((($thrs*3600) + ($tmin*60))-intval($prevclktime));                    
                            $prevclkstat = $daydata[$d]["t1.stat"];
                        }
                    }
                }
                if (isset($daydate) && $daydate != gmdate("d/m/Y", ($daydata[$d]['t1.t']))){                       
                    $v =  LdateDiff($fromdate, $daydate) - 1;
                    $dailyhours = $totalhours - $lasttotalhours;                            
                    $dayhrs = intval($dailyhours / 3600);
                    $padmin = strlen(intval(($dailyhours % 3600)/60));
                    if ($padmin == 1){$daymin = "0" .intval(($dailyhours % 3600)/60);}else{$daymin = intval(($dailyhours % 3600)/60);}
                      if ($_SESSION["hrsindec"] == 0) {
                          $dispdayhrs = $dayhrs.":" .$daymin;
                      } else {
                              $daydecmin = round(($daymin/60),2) * 100;
                              if(strlen($daydecmin) == 1){$daydecmin = "0" .trim($daydecmin);}
                              $dispdayhrs = $dayhrs ."." .$daydecmin;
                      }              
                    $payrolldhours[$v] = $dispdayhrs;
                    $lasttotalhours = $totalhours;
                }                        
                $daydate = gmdate("d/m/Y", ($daydata[$d]['t1.t']));                                                                            
              }
              //Daily Hours
              $v =  LdateDiff($fromdate, $daydate) - 1;              
              $dailyhours = $totalhours - $lasttotalhours;                        
              $dayhrs = intval($dailyhours / 3600);
              $padmin = strlen(intval(($dailyhours % 3600)/60));
              if ($padmin == 1){$daymin = "0" .intval(($dailyhours % 3600)/60);}else{$daymin = intval(($dailyhours % 3600)/60);}
              if ($_SESSION["hrsindec"] == 0) {
                  $dispdayhrs = $dayhrs.":" .$daymin;
              } else {
                      $daydecmin = round(($daymin/60),2) * 100;
                      if(strlen($daydecmin) == 1){$daydecmin = "0" .trim($daydecmin);}
                      $dispdayhrs = $dayhrs ."." .$daydecmin;
              } 
                                    
              $payrolldhours[$v] = $dispdayhrs;
             
              //Total Hours
              $tothrs = intval($totalhours / 3600);
              $padmin = strlen(intval(($totalhours % 3600)/60));
              if ($padmin == 1){$totalmin = "0" .intval(($totalhours % 3600)/60);}else{$totalmin = intval(($totalhours % 3600)/60);}                        
              if ($_SESSION["hrsindec"] == 0) {
                  $disphrstotal = $tothrs.":" .$totalmin;
              } else {
                      $totaldecmin = round(($totalmin/60),2) * 100;
                      if(strlen($totaldecmin) == 1){$totaldecmin = "0" .trim($totaldecmin);}
                      $disphrstotal = $tothrs."." .$totaldecmin;
              }
              $stringdata = $curemp ."," .$curln .","  .$curfn .",";
                for ($y = 0; $y < $x; $y++){
                    $stringdata = $stringdata .$payrolldhours[$y] .",";
                }
              $stringdata = $stringdata . $disphrstotal ."\n";
              echo $stringdata;
              
              //DailyHoursresets
              $dailyhours = 0;
              $lasttotalhours = 0;
              $dispdayhrs = "";
              unset($daydate);
              unset($payrolldhours);
              
              //TotalHourResets
              $curemp = $row['t1.en'];
              $curfn = $row['t2.fn'];
              $curln = $row['t2.ln']; 
              $curdate = gmdate("d/m/Y", ($row['t1.t']));
              
              $clockings = "";
              $totalhours = 0;
              $prevclktime = "";
              $prevclkstat = "";
              $clkno = 0;                      
              unset($daydata);
                                    
          }else{if($curemp != $row['t1.en']){
              
              $curemp = $row['t1.en'];
              $curfn = $row['t2.fn'];
              $curln = $row['t2.ln']; 
              $curdate = gmdate("d/m/Y", ($row['t1.t']));
              
              $clockings = "";                      
              $totalhours = 0;
              $prevclktime = "";
              $prevclkstat = "";
              $clkno = 0;                      
              unset($daydata);                                            
              }
              }                  
          }
          $daydata[] = $row;
          $laststat = $row['t1.stat'];


          
      }
      for ($d = 0; $d < count($daydata); $d++)
      {
        if ($clkno == 1 && $daydata[$d]["t1.stat"] == "0"){"do nothing";}
        else{
            if($daydata[$d]["t1.stat"] == "0" && ($prevclkstat == "0" || $prevclkstat == "" || !isset($prevclkstat) )){"do nothing";}
            else{
                if ($daydata[$d]["t1.stat"] == "1"){
                    $thrs = intval($daydata[$d]["t1.t"] / 3600);
                    $tmin = intval(($daydata[$d]["t1.t"] % 3600)/60);                                    
                    $prevclktime = ($thrs*3600) + ($tmin*60);
                    $prevclkstat = $daydata[$d]["t1.stat"];
                    $prevclkstat = $daydata[$d]["t1.stat"];
                }else{
                    $thrs = intval($daydata[$d]["t1.t"] / 3600);
                    $tmin = intval(($daydata[$d]["t1.t"] % 3600)/60);                                    
                    $totalhours = $totalhours + ((($thrs*3600) + ($tmin*60))-intval($prevclktime));                    
                    $prevclkstat = $daydata[$d]["t1.stat"];
                }
            }
        }
        if (isset($daydate) && $daydate != gmdate("d/m/Y", ($daydata[$d]['t1.t']))){                       
            $v =  LdateDiff($fromdate, $daydate) - 1;
            $dailyhours = $totalhours - $lasttotalhours;                            
            $dayhrs = intval($dailyhours / 3600);
            $padmin = strlen(intval(($dailyhours % 3600)/60));
            if ($padmin == 1){$daymin = "0" .intval(($dailyhours % 3600)/60);}else{$daymin = intval(($dailyhours % 3600)/60);}
              if ($_SESSION["hrsindec"] == 0) {
                  $dispdayhrs = $dayhrs.":" .$daymin;
              } else {
                      $daydecmin = round(($daymin/60),2) * 100;
                      if(strlen($daydecmin) == 1){$daydecmin = "0" .trim($daydecmin);}
                      $dispdayhrs = $dayhrs ."." .$daydecmin;
              }              

            $payrolldhours[$v] = $dispdayhrs;
            $lasttotalhours = $totalhours;
        }                        
        $daydate = gmdate("d/m/Y", ($daydata[$d]['t1.t']));                                                                            
      }
      //Daily Hours
      $v =  LdateDiff($fromdate, $daydate) - 1;              
      $dailyhours = $totalhours - $lasttotalhours;                        
      $dayhrs = intval($dailyhours / 3600);
      $padmin = strlen(intval(($dailyhours % 3600)/60));
      if ($padmin == 1){$daymin = "0" .intval(($dailyhours % 3600)/60);}else{$daymin = intval(($dailyhours % 3600)/60);}
              if ($padmin == 1){$daymin = "0" .intval(($dailyhours % 3600)/60);}else{$daymin = intval(($dailyhours % 3600)/60);}
              if ($_SESSION["hrsindec"] == 0) {
                  $dispdayhrs = $dayhrs.":" .$daymin;
              } else { 
                      $daydecmin = round(($daymin/60),2) * 100;
                      if(strlen($daydecmin) == 1){$daydecmin = "0" .trim($daydecmin);}
                      $dispdayhrs = $dayhrs ."." .$daydecmin;
              }              
      $payrolldhours[$v] = $dispdayhrs;
     
      //Total Hours
      $tothrs = intval($totalhours / 3600);
      $padmin = strlen(intval(($totalhours % 3600)/60));
      if ($padmin == 1){$totalmin = "0" .intval(($totalhours % 3600)/60);}else{$totalmin = intval(($totalhours % 3600)/60);}                        
      if ($_SESSION["hrsindec"] == 0) {
          $disphrstotal = $tothrs.":" .$totalmin;
      } else {
              $totaldecmin = round(($totalmin/60),2) * 100;
              if(strlen($totaldecmin) == 1){$totaldecmin = "0" .trim($totaldecmin);}
              $disphrstotal = $tothrs."." .$totaldecmin;
      }
      $stringdata = $curemp ."," .$curln .","  .$curfn .",";
        for ($y = 0; $y < $x; $y++){
            $stringdata = $stringdata .$payrolldhours[$y] .",";
        }
      $stringdata = $stringdata . $disphrstotal ."\n";
      echo $stringdata;              

}

function LdateDiff($start, $end) {
    $start_ts = gmmktime(0,0,0, substr($start,3,2),substr($start,0,2),substr($start,6,4));
    $end_ts = gmmktime( 23, 59, 59, substr($end,3,2),substr($end,0,2),substr($end,6,4));
    $diff = $end_ts - $start_ts;
    return round($diff / 86400);
}
?>