<?php session_start();
  header ("HTTP/1.1 200 OK");  
  include 'tcfunctions.php';
  clockmaintenance("refresh");
  
?>

<html>
<?php htmlpagehead(); ?>
<?php bodyhtmlheader(); ?>
<?php if($_SESSION["logged_in"] == true){
  $conn = connect();

  $a = @$_GET["a"];
  $sql = @$_POST["sql"];
  $clockaction = @$_POST["clockaction"];
  switch ($sql) {
    case "update":      
      $formerrors = validateformfields();
      break;
  }
             
  switch ($a) {
    default:
      editrec($recid);
      break;
  }
  $conn = null;
}?>
<?php bodyhtmlfooter(); ?>
</html>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5">
    <tr>
        <td class="hr"><?php echo htmlspecialchars("DHCP")."&nbsp;" ?></td>
        <?php if (trim($row["dhcp"]) == "1") { $checkstatus = "checked='checked'"; } else { $checkstatus = ""; } ?>
        <td  class="dr"><input class="cb1" type="checkbox" <?php echo $checkstatus ?> name="dchp" value="<?php echo str_replace('"', '&quot;', trim($row["dchp"])) ?>"></td>        
    </tr>
    <tr>
        <td class="hr"><?php echo htmlspecialchars("IP")."&nbsp;" ?></td>
        <td class="dr"><input type="text" name="ip" value="<?php echo str_replace('"', '&quot;', trim($row["ip"])) ?>"></td>
    </tr>
    <tr>
        <td class="hr"><?php echo htmlspecialchars("Subnet Mask")."&nbsp;" ?></td>
        <td class="dr"><input type="text" name="netmask" value="<?php echo str_replace('"', '&quot;', trim($row["netmask"])) ?>"></td>
    </tr>
    <tr>
        <td class="hr"><?php echo htmlspecialchars("Broadcast IP")."&nbsp;" ?></td>
        <td class="dr"><input type="text" name="broadcast" value="<?php echo str_replace('"', '&quot;', trim($row["broadcast"])) ?>"></td>
    </tr>
    <tr>
        <td class="hr"><?php echo htmlspecialchars("Gateway")."&nbsp;" ?></td>
        <td class="dr"><input type="text" name="gateway" value="<?php echo str_replace('"', '&quot;', trim($row["gateway"])) ?>"></td>
    </tr>
    <tr>
        <td class="hr"><?php echo htmlspecialchars("Name Server 1")."&nbsp;" ?></td>
        <td class="dr"><input type="text" name="nameserver1" value="<?php echo str_replace('"', '&quot;', trim($row["nameserver1"])) ?>"></td>
    </tr>
    <tr>
        <td class="hr"><?php echo htmlspecialchars("Name Server 2")."&nbsp;" ?></td>
        <td class="dr"><input type="text" name="nameserver2" value="<?php echo str_replace('"', '&quot;', trim($row["nameserver2"])) ?>"></td>
    </tr>
    <tr>
        <td class="hr"><?php echo htmlspecialchars("Name Server 3")."&nbsp;" ?></td>
        <td class="dr"><input type="text" name="nameserver3" value="<?php echo str_replace('"', '&quot;', trim($row["nameserver3"])) ?>"></td>
    </tr>
    <tr>
        <td class="hr"><?php echo htmlspecialchars("Name Server 4")."&nbsp;" ?></td>
        <td class="dr"><input type="text" name="nameserver4" value="<?php echo str_replace('"', '&quot;', trim($row["nameserver4"])) ?>"></td>
    </tr>
</table>
<?php } ?>

<?php function editrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  sqlite_seek_ex($res, $recid);
  $row = sqlite_fetch_array_ex($res);
  global $clockaction;
  global $formerrors;  
?>

<?php
if (!isset($clockaction) || $clockaction == ""){ ?>
    <div class="centerform"> 
     <?php formhtmlheader('Update Network') ?>
        <form enctype="multipart/form-data" action="network.php" method="post">
            <input type="hidden" name="sql" value="update">
            <input type="hidden" name="xid" value="<?php echo $row["id"] ?>">
            <input type="hidden" name="clockaction" value="reboot">            
            <?php showroweditor($row, true); ?>
            <br>
            <table align="center">
                <tr>
                    <td>                    
                        <input type="submit" name="action" value="Save" class="normalbutton">                                        
                        <input type="button" value="Cancel" onclick="window.location='network.php'" class="normalbutton">                                        
                    </td>
                </tr>
            </table>                                  
        </form>
    <?php formhtmlfooter() ?>    
    </div>
<?php } ?>
<?php
 if ($clockaction == "reboot" && $formerrors != 1){
     ?>
    <div class="centerform">
       <?php windowhtmlheader("Warning!") ?>
            <form enctype="multipart/form-data" action="network.php" method="post">                
                <table>
                    <tr>
                        <td align="center">                
                            The network settings were succesfully updated. <br/>
                            Please select the reboot button to implement the changes <br/>
                            or press the cancel button to reboot the clock later. <br/>
                        </td>    
                    </tr>
                    <tr>
                        <td height="12px">
                        </td>
                    </tr>                
                    <tr>
                        <td align="center">                    
                            <input type="button" value="Reboot" onclick="window.location='restart.php'" class="normalbutton">
                            <input type="button" value="Cancel" onclick="window.location='network.php'" class="normalbutton">                                        
                        </td>
                    </tr>
                </table>
            </form>
       <?php windowhtmlfooter() ?>
    </div>
    <?php } ?>
<?php } ?>

<?php function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT id, \"desc\", enabled, initialised, log, setip, dhcp, ip, netmask, broadcast, gateway, nameserver1, nameserver2, nameserver3, nameserver4, sip, sport, ssip, ssport, sson, cip, cport, csip, csport, cson, smtpip, smtpport, smtpuser, smtppass, idletimeout, connectiontimeout, retryclientconnect, keepclockings, autoreader, maxunknowncards, internettimeonboot, internettimeserver1, internettimeserver2, internettimeserver3, internettimeserver4, internettimeserver5, internettimeserver6, tz_new, tz_current, defaultmodel, waitidealmin, waitmax, countidealmin, countmax, timepriority FROM thisdev";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (id like '" .$filterstr ."') or (\"desc\" like '" .$filterstr ."') or (enabled like '" .$filterstr ."') or (initialised like '" .$filterstr ."') or (log like '" .$filterstr ."') or (setip like '" .$filterstr ."') or (dhcp like '" .$filterstr ."') or (ip like '" .$filterstr ."') or (netmask like '" .$filterstr ."') or (broadcast like '" .$filterstr ."') or (gateway like '" .$filterstr ."') or (nameserver1 like '" .$filterstr ."') or (nameserver2 like '" .$filterstr ."') or (nameserver3 like '" .$filterstr ."') or (nameserver4 like '" .$filterstr ."') or (sip like '" .$filterstr ."') or (sport like '" .$filterstr ."') or (ssip like '" .$filterstr ."') or (ssport like '" .$filterstr ."') or (sson like '" .$filterstr ."') or (cip like '" .$filterstr ."') or (cport like '" .$filterstr ."') or (csip like '" .$filterstr ."') or (csport like '" .$filterstr ."') or (cson like '" .$filterstr ."') or (smtpip like '" .$filterstr ."') or (smtpport like '" .$filterstr ."') or (smtpuser like '" .$filterstr ."') or (smtppass like '" .$filterstr ."') or (idletimeout like '" .$filterstr ."') or (connectiontimeout like '" .$filterstr ."') or (retryclientconnect like '" .$filterstr ."') or (keepclockings like '" .$filterstr ."') or (autoreader like '" .$filterstr ."') or (maxunknowncards like '" .$filterstr ."') or (internettimeonboot like '" .$filterstr ."') or (internettimeserver1 like '" .$filterstr ."') or (internettimeserver2 like '" .$filterstr ."') or (internettimeserver3 like '" .$filterstr ."') or (internettimeserver4 like '" .$filterstr ."') or (internettimeserver5 like '" .$filterstr ."') or (internettimeserver6 like '" .$filterstr ."') or (tz_new like '" .$filterstr ."') or (tz_current like '" .$filterstr ."') or (defaultmodel like '" .$filterstr ."') or (waitidealmin like '" .$filterstr ."') or (waitmax like '" .$filterstr ."') or (countidealmin like '" .$filterstr ."') or (countmax like '" .$filterstr ."') or (timepriority like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by \"" .sqlstr($order) ."\"";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');    
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM thisdev";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (id like '" .$filterstr ."') or (\"desc\" like '" .$filterstr ."') or (enabled like '" .$filterstr ."') or (initialised like '" .$filterstr ."') or (log like '" .$filterstr ."') or (setip like '" .$filterstr ."') or (dhcp like '" .$filterstr ."') or (ip like '" .$filterstr ."') or (netmask like '" .$filterstr ."') or (broadcast like '" .$filterstr ."') or (gateway like '" .$filterstr ."') or (nameserver1 like '" .$filterstr ."') or (nameserver2 like '" .$filterstr ."') or (nameserver3 like '" .$filterstr ."') or (nameserver4 like '" .$filterstr ."') or (sip like '" .$filterstr ."') or (sport like '" .$filterstr ."') or (ssip like '" .$filterstr ."') or (ssport like '" .$filterstr ."') or (sson like '" .$filterstr ."') or (cip like '" .$filterstr ."') or (cport like '" .$filterstr ."') or (csip like '" .$filterstr ."') or (csport like '" .$filterstr ."') or (cson like '" .$filterstr ."') or (smtpip like '" .$filterstr ."') or (smtpport like '" .$filterstr ."') or (smtpuser like '" .$filterstr ."') or (smtppass like '" .$filterstr ."') or (idletimeout like '" .$filterstr ."') or (connectiontimeout like '" .$filterstr ."') or (retryclientconnect like '" .$filterstr ."') or (keepclockings like '" .$filterstr ."') or (autoreader like '" .$filterstr ."') or (maxunknowncards like '" .$filterstr ."') or (internettimeonboot like '" .$filterstr ."') or (internettimeserver1 like '" .$filterstr ."') or (internettimeserver2 like '" .$filterstr ."') or (internettimeserver3 like '" .$filterstr ."') or (internettimeserver4 like '" .$filterstr ."') or (internettimeserver5 like '" .$filterstr ."') or (internettimeserver6 like '" .$filterstr ."') or (tz_new like '" .$filterstr ."') or (tz_current like '" .$filterstr ."') or (defaultmodel like '" .$filterstr ."') or (waitidealmin like '" .$filterstr ."') or (waitmax like '" .$filterstr ."') or (countidealmin like '" .$filterstr ."') or (countmax like '" .$filterstr ."') or (timepriority like '" .$filterstr ."')";
  }
  $res = $conn->query($sql) or die('<br/>Error in qeury string:<br/>' .$sql .'<br/>');    
  $row = sqlite_fetch_array_ex($res);
  reset($row);
  return current($row);
}

function sql_update()
{
  global $conn;
  global $_POST;
  if (!isset($_POST['dchp'])){$locdchp = "0";} else {$locdchp = "1";}
  $locsetip = "1";
  $locbroadcast = sqlvalue(@$_POST["broadcast"], true, true);
  $nameserver1 = sqlvalue(@$_POST["nameserver1"], true, true);
  $nameserver2 = sqlvalue(@$_POST["nameserver2"], true, true);
  $nameserver3 = sqlvalue(@$_POST["nameserver3"], true, true);
  $nameserver4 = sqlvalue(@$_POST["nameserver4"], true, true);    
  if ($locbroadcast == "''"){$locbroadcast = "'10.255.255.255'";}
  if ($nameserver1 == "''"){$nameserver1 = "'205.171.3.65'";}
  if ($nameserver2 == "''"){$nameserver2 = "'212.135.1.36'";}
  if ($nameserver3 == "''"){$nameserver3 = "'168.95.1.1'";}
  if ($nameserver4 == "''"){$nameserver4 = "'207.69.188.185'";}
  $sql = "update thisdev set dhcp=" .$locdchp .", setip=" .$locsetip .", ip=" .sqlvalue(@$_POST["ip"], true, true).", netmask=" .sqlvalue(@$_POST["netmask"], true, true).", broadcast=" .$locbroadcast .", gateway=" .sqlvalue(@$_POST["gateway"], true, true).", nameserver1=" .$nameserver1 .", nameserver2=" .$nameserver2 .", nameserver3=" .$nameserver3 .", nameserver4=" .$nameserver4 . " where " .primarykeycondition();  
  dbaction($conn,$sql);
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(id";
  if (@$_POST["xid"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid"], false, true);
  };
  $pk .= ")";
  return $pk;
}
?>

<?php function validateformfields()
{   
    unset($formerror);
    if ((validateip(@$_POST["ip"])) == 1){$formerror = " IP is invalid.<br/>&nbsp; ";}
    if ((validateip(@$_POST["netmask"])) == 1){$formerror = $formerror ." Subnet IP is invalid.<br/>&nbsp; ";}
    if ((@$_POST["broadcast"]) != ""){if ((validateip(@$_POST["broadcast"])) == 1){$formerror = $formerror ." Broadcast IP is invalid.<br/>&nbsp; ";}}
    if ((@$_POST["gateway"]) != ""){if ((validateip(@$_POST["gateway"])) == 1){$formerror = $formerror ." Gateway IP is invalid.<br/>&nbsp; ";}}
    if ((@$_POST["nameserver1"]) != ""){if ((validateip(@$_POST["nameserver1"])) == 1){$formerror = $formerror ." DNS 1 IP is invalid.<br/>&nbsp; ";}}    
    if ((@$_POST["nameserver2"]) != ""){if ((validateip(@$_POST["nameserver2"])) == 1){$formerror = $formerror ." DNS 2 IP is invalid.<br/>&nbsp; ";}}
    if ((@$_POST["nameserver3"]) != ""){if ((validateip(@$_POST["nameserver3"])) == 1){$formerror = $formerror ." DNS 3 IP is invalid.<br/>&nbsp; ";}}
    if ((@$_POST["nameserver4"]) != ""){if ((validateip(@$_POST["nameserver4"])) == 1){$formerror = $formerror ." DNS 4 IP is invalid.<br/>&nbsp; ";}}
    if(isset($formerror))    {
        $formerror = "<p class='error'>Errors found:<br/>&nbsp;" .$formerror ."</p>";
        showformerrors($formerror);
        return("1");
    }
    else
    {
        sql_update();
    }
    
}
?>

<?php function showformerrors($formerror)
{    
 ?>
<div class="centerform"> 
  <?php formhtmlheader('Update Network') ?>
    <form enctype="multipart/form-data" action="network.php?clockaction=reboot" method="post">            
        <input type="hidden" name="sql" value="update">
        <input type="hidden" name="xid" value="<?php echo @$_POST["xid"] ?>">
        <?php echo $formerror; ?>
        <table class="tbl" border="0" cellspacing="1" cellpadding="5">
            <tr>
                <td class="hr"><?php echo htmlspecialchars("DHCP")."&nbsp;" ?></td>
                <?php if (isset($_POST['dchp'])) { $checkstatus = "checked='checked'"; $locdchp = 1;} else { $checkstatus = ""; $locdchp = 0;} ?>
                <td  class="dr"><input class="cb1" type="checkbox" <?php echo $checkstatus ?> name="dchp" value="<?php echo $locdchp ?>"></td>        
            </tr>
            <tr>
                <td class="hr"><?php echo htmlspecialchars("IP")."&nbsp;" ?></td>
                <td class="dr"><input type="text" name="ip" value="<?php echo @$_POST["ip"] ?>"></td>
            </tr>
            <tr>
                <td class="hr"><?php echo htmlspecialchars("Subnet Mask")."&nbsp;" ?></td>
                <td class="dr"><input type="text" name="netmask" value="<?php echo @$_POST["netmask"] ?>"></td>
            </tr>
            <tr>
                <td class="hr"><?php echo htmlspecialchars("Broadcast IP")."&nbsp;" ?></td>                
                <td class="dr"><input type="text" name="broadcast" value="<?php echo @$_POST["broadcast"] ?>"></td>
            </tr>
            <tr>
                <td class="hr"><?php echo htmlspecialchars("Gateway")."&nbsp;" ?></td>
                <td class="dr"><input type="text" name="gateway" value="<?php echo @$_POST["gateway"] ?>"></td>
            </tr>
            <tr>
                <td class="hr"><?php echo htmlspecialchars("Name Server 1")."&nbsp;" ?></td>
                <td class="dr"><input type="text" name="nameserver1" value="<?php echo @$_POST["nameserver1"] ?>"></td>
            </tr>
            <tr>
                <td class="hr"><?php echo htmlspecialchars("Name Server 2")."&nbsp;" ?></td>
                <td class="dr"><input type="text" name="nameserver2" value="<?php echo @$_POST["nameserver2"] ?>"></td>
            </tr>
            <tr>
                <td class="hr"><?php echo htmlspecialchars("Name Server 3")."&nbsp;" ?></td>
                <td class="dr"><input type="text" name="nameserver3" value="<?php echo @$_POST["nameserver3"] ?>"></td>
            </tr>
            <tr>
                <td class="hr"><?php echo htmlspecialchars("Name Server 4")."&nbsp;" ?></td>
                <td class="dr"><input type="text" name="nameserver4" value="<?php echo @$_POST["nameserver4"] ?>"></td>
            </tr>
        </table>
        <br>
        <input type="submit" name="action" value="Save" class="normalbutton">                                        
        <input type="button" value="Cancel" onclick="window.location='network.php'" class="normalbutton">                                        
    </form>
  <?php formhtmlfooter() ?>    
</div>
<?php } ?>
