var tables = [];
function GreenAll(){
  for(var e = 0; e < tables.length; e++){
     tables[e].table=document.getElementById(tables[e].tid); // necessary after ajax call
     if (tables[e].table != null){
       tables[e].parseCell();
       tables[e].greenBar();
     }
  }
  var b = document.getElementById('_busy');
  if (b != null){
    b.style.visibility = 'hidden';
  }
}

// browseTable object handles all browse table related functionality.
function browseTable(tid,rows,sp,gb,mo,hs){
this.tid = tid;
this.table=document.getElementById(tid);
this.bgOver='#DDDDDD';
this.bgHigh='#CCCCCC';
this.bgOne='#FFFFFF';
this.bgTwo='#F8F8F8';
this.rowselected=-1;
this.rowshigh=rows;
this.rc=-1;
this.rs=0;
this.sproc=sp;
this.gb=gb; // greenbar table.
this.mo=mo; // mouse over
this.hs=hs; // highlight selected field
tables[tables.length] = this;
this.parseCell();
}
// parses the top, left cell
browseTable.prototype.parseCell = function (){
  var s = this.table.tBodies[0].rows[0].cells[0].innerHTML;
  var x = s.indexOf('<!--');
  if (x==0){
    var y = s.indexOf('-->');
    if (y>x){
      s = s.slice(x+4,y);
      var parts = s.split(',');
      for (x = 0; x < parts.length; x +=2){
        switch (parts[x]){
          case "selected":
            this.rowselected = parts[x+1]-1;
            break;
          case "rows":
            this.rowshigh = parts[x+1];
            break;
        }
      }
    }
    s = this.table.tBodies[0].rows[0].cells[0].innerHTML;
    this.table.tBodies[0].rows[0].cells[0].innerHTML = s.slice(y+3);
  }
}
// green'bars the table. And highlights selected row.
browseTable.prototype.greenBar = function (){
 var x=0;
 var i=0;
 var j=0;
 if (this.rowshigh>0){
   for(i=0;i<this.table.tBodies[0].rows.length;i = i - -this.rowshigh){
     for(j=0;j<this.rowshigh;j++){
       if (parseInt(i/this.rowshigh)==this.rowselected && this.hs==1){
         if (this.gb==1){
           if (x==0){
             this.rs = this.bgOne;
           } else {
             this.rs = this.bgTwo;
           }
         } else {
           this.rs = this.table.tBodies[0].rows[i+j].bgColor;
         }
         this.table.tBodies[0].rows[i+j].bgColor= this.bgHigh;
       } else {
         if (this.table.tBodies[0].rows[i+j] != null){
           if (this.gb==1){
             if (x==0){
               this.table.tBodies[0].rows[i+j].bgColor=this.bgOne;
             } else {
               this.table.tBodies[0].rows[i+j].bgColor=this.bgTwo;
             }
           } else {
             this.table.tBodies[0].rows[i+j].bgColor=this.bgOne;
           }
         }
       }
     }
     if (x==0){x=1} else {x=0};
   }
 }
}
// onmouseover
browseTable.prototype.omv = function (r){
  if (this.mo==1){
    this.rc = r.bgColor
    var x=r.sectionRowIndex % this.rowshigh;
    var l=r.sectionRowIndex - (r.sectionRowIndex % this.rowshigh);
    for(x=0;x<this.rowshigh;x++){
      if (this.table.tBodies[0].rows[l+x] != null){
        this.table.tBodies[0].rows[l+x].bgColor=this.bgOver;
      }
    }
  }
}
//onmouseout
browseTable.prototype.omt = function (r){
  if (this.mo==1){
    if (this.rc == -1){
      var x=r.sectionRowIndex % this.rowshigh;
      if (x % 2 == 0){
        this.rc = this.bgOne;
      } else {
        this.rc = this.bgTwo;
      }
    }
    var x=r.sectionRowIndex % this.rowshigh;
    var l=r.sectionRowIndex - (r.sectionRowIndex % this.rowshigh);
    for(x=0;x<this.rowshigh;x++){
      if (this.table.tBodies[0].rows[l+x] != null){
        this.table.tBodies[0].rows[l+x].bgColor=this.rc;
      }
    }
  }
}
// clickrow
browseTable.prototype.cr = function (r,phn,phf,p){
  // this.rs holds the greenbar color under the previously selected color
  // this.rowselected holds the previous row selected
  var i = parseInt(r.sectionRowIndex/this.rowshigh);
  if (i != this.rowselected){
    var k = this.rowselected * this.rowshigh;
    if (this.hs ==1){
      for(var j=0;j<this.rowshigh;j++){
        this.table.tBodies[0].rows[k+j].bgColor= this.rs;
      }
    }
    this.rowselected = i;
    this.rs = this.rc
    this.rc = this.bgHigh;
    k = this.rowselected * this.rowshigh;
    if (this.hs ==1){
      for(j=0;j<this.rowshigh;j++){
        this.table.tBodies[0].rows[k+j].bgColor= this.bgHigh;
      }
    }
    sv(this.sproc,'_Clicked=1','id='+phn,'Value='+phf,'_ParentProc='+p);
    document.getElementById(phn.replace(/:/g,"__")).value = phf;
  }
  return;
}
// sets greenbaring,selected and mouse over colors for the browse.
browseTable.prototype.setGreenBar = function (h,o,t,v){
  if ((h != '') && (h != null)){
    this.bgHigh= h;
  }
  if ((o != '') && (o != null)){
    this.bgOne=o;
  }
  if ((t != '') && (t != null)){
    this.bgTwo=t;
  }
  if ((v != '') && (v != null)){
    this.bgOver=v;
  }
}

